/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2023-10-18 11:38:12Z
 *****************************************************************************/

#ifndef __RSFPH_ATTRIBUTES_HEADER
#define __RSFPH_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsfph_logging_ReadCallback(ViSession          io,
                                    ViConstString      repCapName,
                                    RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsfph_FileStateSpecialFormat_WriteCallback(ViSession          io,
                                                    ViConstString      repCapName,
                                                    RsCoreAttributePtr attr,
                                                    void               *value);

ViStatus rsfph_quotedInt_WriteCallback(ViSession          io,
                                       ViConstString      repCapName,
                                       RsCoreAttributePtr attr,
                                       void               *value);

ViStatus rsfph_logging_WriteCallback(ViSession          io,
                                     ViConstString      repCapName,
                                     RsCoreAttributePtr attr,
                                     void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableRanged rsfph_rngSweepCount;
extern RsCoreRangeTableDiscrete rsfph_rngScalingType;
extern RsCoreRangeTableDiscrete rsfph_rngMeasurementDomain;
extern RsCoreRangeTableRanged rsfph_rngFreqOffset;
extern RsCoreRangeTableDiscrete rsfph_rngFreqCentLink;
extern RsCoreRangeTableRanged rsfph_rngDisplayBrightness;
extern RsCoreRangeTableDiscrete rsfph_rngDisplayColor;
extern RsCoreRangeTableDiscrete rsfph_rngDisplayDateFormat;
extern RsCoreRangeTableDiscrete rsfph_rngPmetUnit;
extern RsCoreRangeTableDiscrete rsfph_rngFreqInputMode;
extern RsCoreRangeTableDiscrete rsfph_rngPmetMeasTime;
extern RsCoreRangeTableRanged rsfph_rngExtGateDelay;
extern RsCoreRangeTableRanged rsfph_rngExtGateLength;
extern RsCoreRangeTableRanged rsfph_rngMarkerDemodHoldoff;
extern RsCoreRangeTableDiscrete rsfph_rngMarkerDemodType;
extern RsCoreRangeTableRanged rsfph_rngAttenuationRangeTable;
extern RsCoreRangeTableDiscrete rsfph_rngAmplAttenMode;
extern RsCoreRangeTableCoerced rsfph_rngInputImpedance;
extern RsCoreRangeTableDiscrete rsfph_rngTraceResultType;
extern RsCoreRangeTableRanged rsfph_rngTriggerDelay;
extern RsCoreRangeTableRanged rsfph_rngPct;
extern RsCoreRangeTableDiscrete rsfph_rngPolarity;
extern RsCoreRangeTableDiscrete rsfph_rngTriggerSource;
extern RsCoreRangeTableDiscrete rsfph_rngDetectorType;
extern RsCoreRangeTableDiscrete rsfph_rngTraceMode;
extern RsCoreRangeTableRanged rsfph_rngRefLevel;
extern RsCoreRangeTableDiscrete rsfph_rngHcopyDeviceLang;
extern RsCoreRangeTableDiscrete rsfph_rngStatusRegister;
extern RsCoreRangeTableDiscrete rsfph_rngStatusRegisterOperation;
extern RsCoreRangeTableDiscrete rsfph_rngStatusRegisterQuery;
extern RsCoreRangeTableDiscrete rsfph_rngSystPresetMode;
extern RsCoreRangeTableDiscrete rsfph_rngSystSOEventLimitMode;
extern RsCoreRangeTableDiscrete rsfph_rngSystSOEventStorageDevice;
extern RsCoreRangeTableDiscrete rsfph_rngSystSOEventSource;
extern RsCoreRangeTableDiscrete rsfph_rngAmplitudeUnits;
extern RsCoreRangeTableDiscrete rsfph_rngROSCSource;
extern RsCoreRangeTableDiscrete rsfph_rngLimitXUnit;
extern RsCoreRangeTableDiscrete rsfph_rngAbsRel;
extern RsCoreRangeTableDiscrete rsfph_rngLimitYUnit;
extern RsCoreRangeTableDiscrete rsfph_rngSystemAccessory;
extern RsCoreRangeTableRanged rsfph_rngSpeakerVolume;
extern RsCoreRangeTableDiscrete rsfph_rngBNCMode;
extern RsCoreRangeTableDiscrete rsfph_rngCaptureMode;
extern RsCoreRangeTableDiscrete rsfph_rngInstrumentMode;
extern RsCoreRangeTableDiscrete rsfph_rngMarkerFreqDispMode;
extern RsCoreRangeTableDiscrete rsfph_rngPmetStandardSelect;
extern RsCoreRangeTableRanged rsfph_rngDISPAmplitudeRange;
extern RsCoreRangeTableDiscrete rsfph_rngSystemPadType;
extern RsCoreRangeTableDiscrete rsfph_rngTraceMathExpression;
extern RsCoreRangeTableDiscrete rsfph_rngSystemPowerSource;
extern RsCoreRangeTableRanged rsfph_rngDisplayReferencePosition;
extern RsCoreRangeTableDiscrete rsfph_rngPWMForwardPowerDisplay;
extern RsCoreRangeTableDiscrete rsfph_rngMeasPowerSelect;
extern RsCoreRangeTableDiscrete rsfph_rngAnalogModulationResultDisplay;
extern RsCoreRangeTableDiscrete rsfph_rngChannelPowerDisplayMode;
extern RsCoreRangeTableDiscrete rsfph_rngChannelPowerUnits;
extern RsCoreRangeTableRanged rsfph_rngOccupiedBandwidthPowerPercentage;
extern RsCoreRangeTableDiscrete rsfph_rngReceiverTraceStyle;
extern RsCoreRangeTableDiscrete rsfph_rngIsotropicAntennaDirection;
extern RsCoreRangeTableDiscrete rsfph_rngDigitalDemodulationResultDisplay;
extern RsCoreRangeTableDiscrete rsfph_rngDigitalDemodulationModulation;
extern RsCoreRangeTableDiscrete rsfph_rngDigitalDemodulationFilterType;
extern RsCoreRangeTableRanged rsfph_rngDigitalDemodulationFilterRolloffFactor;
extern RsCoreRangeTableDiscrete rsfph_rngStatusRegisterFormat;
extern RsCoreRangeTableDiscrete rsfph_rngAnalogModulationAudioLowpassFilter;
extern RsCoreRangeTableDiscrete rsfph_rngDisplayUnitLength;
extern RsCoreRangeTableDiscrete rsfph_rngACLRUnits;
extern RsCoreRangeTableRanged rsfph_rngACLRNumberOfAdjacentChannels;
extern RsCoreRangeTableDiscrete rsfph_rngACLRReferenceChannelAutomaticSelection;
extern RsCoreRangeTableRanged rsfph_rngACLRTransmissionChannelCount;
extern RsCoreRangeTableRanged rsfph_rngHarmonicDistortionNoOfHarmonics;
extern RsCoreRangeTableDiscrete rsfph_rngHarmonicDistortionResult;
extern RsCoreRangeTableDiscrete rsfph_rngGPSReceiverQuality;
extern RsCoreRangeTableDiscrete rsfph_rngChannelLinkDirection;
extern RsCoreRangeTableRanged rsfph_rngAnalogModulationReferenceDeviation;
extern RsCoreRangeTableDiscrete rsfph_rngSEMSweepMode;
extern RsCoreRangeTableRanged rsfph_rngFSKFrequencyDeviation;
extern RsCoreRangeTableDiscrete rsfph_rngBinaryDataOrder;
extern RsCoreRangeTableRanged rsfph_rngTGAttenuation;
extern RsCoreRangeTableRanged rsfph_rngTGFrequencyOffset;
extern RsCoreRangeTableDiscrete rsfph_rngFreqScale;
extern RsCoreRangeTableRanged rsfph_rngSmithReferenceImpedanceMarker;
extern RsCoreRangeTableDiscrete rsfph_rngMagnitudeScale;
extern RsCoreRangeTableRanged rsfph_rngPhaseReferenceLevel;
extern RsCoreRangeTableRanged rsfph_rngPhaseReferencePosition;
extern RsCoreRangeTableRanged rsfph_rngPhaseYAxisRange;
extern RsCoreRangeTableRanged rsfph_rngSWRYAxisRange;
extern RsCoreRangeTableRanged rsfph_rngSWRYAxisMax;
extern RsCoreRangeTableRanged rsfph_rngSWRYAxisMin;
extern RsCoreRangeTableDiscrete rsfph_rngVNAMeasurementFormat;
extern RsCoreRangeTableDiscrete rsfph_rngVNAMeasurementMode;
extern RsCoreRangeTableRanged rsfph_rngACLRAbsoluteLimit;
extern RsCoreRangeTableRanged rsfph_rngACLRRelativeLimitCheck;
extern RsCoreRangeTableRanged rsfph_rngACLRAlternateAbsoluteLimitCheck;
extern RsCoreRangeTableRanged rsfph_rngACLRAlternateRelativeLimitCheck;
extern RsCoreRangeTableDiscrete rsfph_rngMarkerMode;
extern RsCoreRangeTableRanged rsfph_rngTGPower;
extern RsCoreRangeTableDiscrete rsfph_rngCalibrationInstructions;
extern RsCoreRangeTableDiscrete rsfph_rngCalibrationMode;
extern RsCoreRangeTableDiscrete rsfph_rngCalibrationStatus;
extern RsCoreRangeTableDiscrete rsfph_rngLimitCheckState;
extern RsCoreRangeTableRanged rsfph_rngSweepPoints;
extern RsCoreRangeTableRanged rsfph_rngVNAReturnLossLogRange;
extern RsCoreRangeTableRanged rsfph_rngVNACableLossYAxisRange;
extern RsCoreRangeTableDiscrete rsfph_rngTrace;
extern RsCoreRangeTableDiscrete rsfph_rngDigitalDemodulationStandard;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_DOMAIN;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_INPUT_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_START;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_STOP;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_CENTER;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_CENTER_STEP;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_CENTER_LINK;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_SPAN_AUTO;
extern RsCoreAttribute g_RSFPH_ATTR_FREQUENCY_SPAN_FULL;
extern RsCoreAttribute g_RSFPH_ATTR_CHANNEL_NUMBER;
extern RsCoreAttribute g_RSFPH_ATTR_CHANNEL_TABLE_DOWNLINK;
extern RsCoreAttribute g_RSFPH_ATTR_CHANNEL_TABLE_UPLINK;
extern RsCoreAttribute g_RSFPH_ATTR_CHANNEL_TABLE_SELECT;
extern RsCoreAttribute g_RSFPH_ATTR_CHANNEL_LINK_DIRECTION;
extern RsCoreAttribute g_RSFPH_ATTR_AMPLITUDE_UNITS;
extern RsCoreAttribute g_RSFPH_ATTR_ATTENUATION;
extern RsCoreAttribute g_RSFPH_ATTR_ATTENUATION_AUTO;
extern RsCoreAttribute g_RSFPH_ATTR_ATTENUATION_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_LEVEL_OFFSET;
extern RsCoreAttribute g_RSFPH_ATTR_AMPL_PREAMPLIFIER;
extern RsCoreAttribute g_RSFPH_ATTR_INPUT_IMPEDANCE;
extern RsCoreAttribute g_RSFPH_ATTR_NUMBER_OF_SWEEPS;
extern RsCoreAttribute g_RSFPH_ATTR_VERTICAL_SCALE;
extern RsCoreAttribute g_RSFPH_ATTR_SWEEP_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_TRACKING_GENERATOR_ATTENUATION;
extern RsCoreAttribute g_RSFPH_ATTR_TRACKING_GENERATOR_ZERO_SPAN_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_TRACKING_GENERATOR_AUTO_FREQUENCY_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_TRACKING_GENERATOR_FREQUENCY;
extern RsCoreAttribute g_RSFPH_ATTR_TRACKING_GENERATOR_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSFPH_ATTR_TRACKING_GENERATOR_POWER;
extern RsCoreAttribute g_RSFPH_ATTR_TRACKING_GENERATOR_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_RESOLUTION_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_RESOLUTION_BANDWIDTH_AUTO;
extern RsCoreAttribute g_RSFPH_ATTR_SWEEP_TIME;
extern RsCoreAttribute g_RSFPH_ATTR_SWEEP_TIME_AUTO;
extern RsCoreAttribute g_RSFPH_ATTR_SWEEP_POINTS;
extern RsCoreAttribute g_RSFPH_ATTR_VIDEO_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_VIDEO_BANDWIDTH_AUTO;
extern RsCoreAttribute g_RSFPH_ATTR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSFPH_ATTR_TRIGGER_DELAY;
extern RsCoreAttribute g_RSFPH_ATTR_TRIGGER_CLOCK;
extern RsCoreAttribute g_RSFPH_ATTR_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSFPH_ATTR_VIDEO_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSFPH_ATTR_IQ_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSFPH_ATTR_EXTERNAL_GATE;
extern RsCoreAttribute g_RSFPH_ATTR_EXTERNAL_GATE_HOLD;
extern RsCoreAttribute g_RSFPH_ATTR_EXTERNAL_GATE_LENGTH;
extern RsCoreAttribute g_RSFPH_ATTR_EXTERNAL_GATE_TIME;
extern RsCoreAttribute g_RSFPH_ATTR_DETECTOR_TYPE;
extern RsCoreAttribute g_RSFPH_ATTR_DETECTOR_TYPE_AUTO;
extern RsCoreAttribute g_RSFPH_ATTR_TRACE_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_TRACE_MEMORY_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_TRACE_TYPE;
extern RsCoreAttribute g_RSFPH_ATTR_SUBTRACT_TRACES;
extern RsCoreAttribute g_RSFPH_ATTR_TRACE_MATH_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_TRACE_MATH_STORE;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_MARKER_PEAK;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_MARKER_PEAK_NEXT;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_MARKER_MINIMUM;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_MARKER_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_MARKER_AOFF;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_MARKER_POSITION;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_MARKER_REL_POSITION;
extern RsCoreAttribute g_RSFPH_ATTR_REFERENCE_MARKER_AMPLITUDE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_AMPLITUDE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_POSITION;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_AOFF;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_SEARCH_PEAK;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_SEARCH_PEAK_NEXT;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_SEARCH_PEAK_MIN;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_SEARCH_LIMITS_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_SEARCH_LIMITS_LEFT;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_SEARCH_LIMITS_RIGHT;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_FREQUENCY_COUNTER_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_FREQUENCY_COUNTER_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_NOISE_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_NOISE_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_DEMOD_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_DEMOD_HOLDOFF;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_DEMOD_TYPE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_NDB_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_NDB_VAL;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_NDB_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_MEAS_POW_SELECT;
extern RsCoreAttribute g_RSFPH_ATTR_MEAS_POW_OFF;
extern RsCoreAttribute g_RSFPH_ATTR_MEAS_POW_STANDARD;
extern RsCoreAttribute g_RSFPH_ATTR_MEAS_POW_STANDARD_CHECK;
extern RsCoreAttribute g_RSFPH_ATTR_MEAS_POW_ADJUST_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_LIMIT_CHECK_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_RELATIVE_LIMIT_CHECK_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_RELATIVE_LIMIT_CHECK;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ABSOLUTE_LIMIT_CHECK_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ABSOLUTE_LIMIT_CHECK;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_RESULT_UNIT;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_NUMBER_OF_ADJACENT_CHANNELS;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_CHANNEL_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ADJACENT_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ADJACENT_CHANNEL_SPACING;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ADJUST_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_COUNT;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_REFERENCE_CHANNEL_AUTOMATIC_SELECTION;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_AS_REFERENCE_CHANNEL;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_TOTAL_TX_CHANNEL_POWER;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_SPACING;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ALTERNATE_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ALTERNATE_CHANNEL_SPACING;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ALTERNATE_RELATIVE_LIMIT_CHECK_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ALTERNATE_RELATIVE_LIMIT_CHECK;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ALTERNATE_ABSOLUTE_LIMIT_CHECK_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_ACLR_ALTERNATE_ABSOLUTE_LIMIT_CHECK;
extern RsCoreAttribute g_RSFPH_ATTR_CHANNEL_POWER_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_CHANNEL_POWER_DISPLAY_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_CHANNEL_POWER_UNIT;
extern RsCoreAttribute g_RSFPH_ATTR_CHANNEL_POWER_PER_HERTZ;
extern RsCoreAttribute g_RSFPH_ATTR_HARMONIC_DISTORTION_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_HARMONIC_DISTORTION_NO_OF_HARMONICS;
extern RsCoreAttribute g_RSFPH_ATTR_HARMONIC_DISTORTION_ADJUST_SETTINGS;
extern RsCoreAttribute g_RSFPH_ATTR_MODULATION_DEPTH_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_MODULATION_DEPTH_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_SPECTRUM_EMISSION_MASK_PRESET;
extern RsCoreAttribute g_RSFPH_ATTR_SPECTRUM_EMISSION_MASK_STANDARD;
extern RsCoreAttribute g_RSFPH_ATTR_SPECTRUM_EMISSION_MASK_SWEEP_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_OCCUPIED_BANDWIDTH_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_OCCUPIED_BANDWIDTH_POWER_PERCENTAGE;
extern RsCoreAttribute g_RSFPH_ATTR_TDMA_BURST_LENGTH;
extern RsCoreAttribute g_RSFPH_ATTR_ISOTROPIC_ANTENNA_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_ISOTROPIC_ANTENNA_DIRECTION;
extern RsCoreAttribute g_RSFPH_ATTR_TOI_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_TOI_SEARCH;
extern RsCoreAttribute g_RSFPH_ATTR_QUERY_TOI_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_FREQ_DISP_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_TO_CENTER;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_TO_REFERENCE;
extern RsCoreAttribute g_RSFPH_ATTR_MARKER_TRACKING_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_DLINE_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_DLINE_POSITION;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_HORIZONTAL_UNIT;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_VERTICAL_UNIT;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_BEEP;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_COMMENT;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_DELETE;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_LOWER_SELECT;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_LOWER_THRESHOLD;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_UPPER_SELECT;
extern RsCoreAttribute g_RSFPH_ATTR_LIMIT_UPPER_THRESHOLD;
extern RsCoreAttribute g_RSFPH_ATTR_TFAC_SEL_NAME;
extern RsCoreAttribute g_RSFPH_ATTR_TFAC_UNIT;
extern RsCoreAttribute g_RSFPH_ATTR_TFAC_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_TRANSDUCER_FACTOR_ISOTROPIC_ANTENNA;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_POWER_SOURCE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_BATT_POWER;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_PRESET;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_PRESET_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_PRESET_USER;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_FACTORY_PRESET;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_REBOOT;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_SHUTDOWN;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_VERSION;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_ACCESSORY_AUTO;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_ACCESSORY;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_SPEAKER;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_BEEPER;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_KEYBOARD_CLICK;
extern RsCoreAttribute g_RSFPH_ATTR_BEEPER_ON_POWER_OVERLOAD;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_BNC_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_CAPTURE_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_CAPTURE_COUNTER;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_CAPTURE_DATASET_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_CAPTURE_SCREEN_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_CAPTURE_GPX_INFORMATION_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_INSTRUMENT_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_PAD_TYPE;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_DEVICE_MATERIAL_NUMBER;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_DEVICE_SERIAL_NUMBER;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_FREE_RAM;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_TOTAL_RAM;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_USED_RAM;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_FREE_STORAGE;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_TOTAL_STORAGE;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_USED_STORAGE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_SOEVENT_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_SOEVENT_DISTANCE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_SOEVENT_LIMIT_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_SOEVENT_STOR_DEV;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_SOEVENT_SOURCE;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_SOEVENT_TIME_INTERVAL;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_NETWORK_MAC;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_NETWORK_GATEWAY;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_NETWORK_SUBMASK;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_NETWORK_IP_ADDRESS;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_NETWORK_DHCP;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_NETWORK_PORT;
extern RsCoreAttribute g_RSFPH_ATTR_GPS_RECEIVER_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_GPS_RECEIVER_CONNECTED;
extern RsCoreAttribute g_RSFPH_ATTR_GPS_RECEIVER_CORRECTION_FREQUENCY;
extern RsCoreAttribute g_RSFPH_ATTR_GPS_RECEIVER_SATELLITES;
extern RsCoreAttribute g_RSFPH_ATTR_GPS_RECEIVER_QUALITY;
extern RsCoreAttribute g_RSFPH_ATTR_GPS_RECEIVER_LATITUDE;
extern RsCoreAttribute g_RSFPH_ATTR_GPS_RECEIVER_LONGITUDE;
extern RsCoreAttribute g_RSFPH_ATTR_GPS_RECEIVER_ALTITUDE;
extern RsCoreAttribute g_RSFPH_ATTR_GPS_RECEIVER_VALID_POSITION;
extern RsCoreAttribute g_RSFPH_ATTR_ROSC_SOURCE;
extern RsCoreAttribute g_RSFPH_ATTR_DISP_ADJUST;
extern RsCoreAttribute g_RSFPH_ATTR_DISP_REF_POSITION;
extern RsCoreAttribute g_RSFPH_ATTR_DISP_LOG_RANGE;
extern RsCoreAttribute g_RSFPH_ATTR_DISPLAY_DEVIATION_PER_DIVISION;
extern RsCoreAttribute g_RSFPH_ATTR_DISP_COL_PRESET;
extern RsCoreAttribute g_RSFPH_ATTR_DISP_BRIGHTNESS;
extern RsCoreAttribute g_RSFPH_ATTR_DISP_COLOR;
extern RsCoreAttribute g_RSFPH_ATTR_DISP_DATE_FORMAT;
extern RsCoreAttribute g_RSFPH_ATTR_DISPLAY_UNIT_LENGTH;
extern RsCoreAttribute g_RSFPH_ATTR_DISPLAY_REMOTE_OPERATION_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_HCOPY_PRINT;
extern RsCoreAttribute g_RSFPH_ATTR_HCOPY_PRINT_SCREEN;
extern RsCoreAttribute g_RSFPH_ATTR_HCOPY_FILE_NAME;
extern RsCoreAttribute g_RSFPH_ATTR_HCOPY_DEVICE_LANG_OUT_FORMAT;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_RECALL;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_SAVE;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_MANAGER_EDIT_PATH;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_MANAGER_DELETE;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_MANAGER_MAKE_DIR;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_MANAGER_CREATE_FILE;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_MANAGER_DELETE_DIR;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_MANAGER_CURRENT_DIR_FILE_CATALOG;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_MANAGER_CURRENT_DIR_CATALOG;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_MANAGER_LOCK;
extern RsCoreAttribute g_RSFPH_ATTR_FILE_MANAGER_UNLOCK;
extern RsCoreAttribute g_RSFPH_ATTR_MEAS_ABORT;
extern RsCoreAttribute g_RSFPH_ATTR_INIT;
extern RsCoreAttribute g_RSFPH_ATTR_INIT_WITHOUT_OPC;
extern RsCoreAttribute g_RSFPH_ATTR_INIT_SW_TRIGGER;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_ZERO;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_REFERENCE_VALUE;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_REFERENCE_VALUE_OFFSET;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_MEASURE_TO_REFERENCE;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_UNIT;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_FREQUENCY;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_CHANNEL_BW;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_VIDEO_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_MEASUREMENT_TIME;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_STANDARD_STATE;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_STANDARD_SELECT;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_FORWARD_POWER_DISPLAY;
extern RsCoreAttribute g_RSFPH_ATTR_PWM_WAVELENGTH;
extern RsCoreAttribute g_RSFPH_ATTR_PMET_FETCH;
extern RsCoreAttribute g_RSFPH_ATTR_PMET_FETCH_REFLECTED;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_MEASUREMENT_TIME;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_DEEMPHASIS_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_DEEMPHASIS_TIME_CONSTANT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_AUDIO_LOWPASS_FILTER;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_REFERENCE_DEVIATION;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_SELECT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_DELETE;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_CHECK_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_RESULT_DISPLAY;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_FM_OFFSET;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_CARRIER_POWER_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_SINAD_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_THD_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_AUDIO_FREQUENCY_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_FREQUENCY_ERROR_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_AM_MODULATION_INDEX_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_AM_MAX_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_AM_MIN_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_AM_AVERAGE_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_AM_RMS_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_AM_MODULATION_DEPTH_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_FM_MAX_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_FM_MIN_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_FM_AVERAGE_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_FM_RMS_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_ANALOG_MODULATION_FM_MODULATION_RATE_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_SELECT_MEASUREMENT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_SYMBOL_RATE;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_MEASUREMENT_FILTER;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_FILTER_TYPE;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_FILTER_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_BURST_STATE_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_FSK_FREQUENCY_DEVIATION;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_STANDARD;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULAITON_FSK_OFFSET;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_RESULT_DISPLAY;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_POWER_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_FREQUENCY_DRIFT_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_FREQUENCY_ERROR_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_MODULAITON_DEPTH_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_FREQUENCY_DEVIATION_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_MAGNITUDE_ERROR_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_MODULATION_INDEX_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_MODULATION_ERROR_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_SIGNAL_POWER_RESULT;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_SCAN_RANGE_START;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_SCAN_RANGE_STOP;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_SCAN_RANGE_STEP_SIZE;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_FREQUENCY_SCALE;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_RESET_MAXHOLD_INFORMATION;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_TRACE_STYLE;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_CISPR_BANDWIDTH_AUTO;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_CISPR_BANDWIDTH;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_SYNCHRONIZE_BARGRAPH_FREQUENCY_TO_MARKER;
extern RsCoreAttribute g_RSFPH_ATTR_RECEIVER_SYNCHRONIZE_BARGRAPH_FREQUENCY_TO_SPECIFIED_MARKER;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_MEAS_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_MEAS_FORMAT;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_AUTO_SIZE_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_SIZE;
extern RsCoreAttribute g_RSFPH_ATTR_DTF_SETTINGS_COUPLING_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_DTF_CABLE_MODEL_PRESET;
extern RsCoreAttribute g_RSFPH_ATTR_DTF_START_DISTANCE;
extern RsCoreAttribute g_RSFPH_ATTR_DTF_STOP_DISTANCE;
extern RsCoreAttribute g_RSFPH_ATTR_DTF_LIST_THRESHOLD;
extern RsCoreAttribute g_RSFPH_ATTR_DTF_PEAK_COUNT;
extern RsCoreAttribute g_RSFPH_ATTR_DTF_DISPLAY_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_CABLE_LOSS_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_CABLE_LOSS_REFERENCE_POSITION;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_CABLE_LOSS_Y_AXIS_RANGE;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_RETURN_LOSS_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_RETURN_LOSS_REFERENCE_POSITION;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_RETURN_LOSS_Y_AXIS_SCALE;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_RETURN_LOSS_LOG_RANGE;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_PHASE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_PHASE_REFERENCE_POSITION;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_PHASE_UNWRAPPING_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_PHASE_Y_AXIS_RANGE;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_SWR_Y_AXIS_RANGE;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_SWR_Y_AXIS_MINIMUM;
extern RsCoreAttribute g_RSFPH_ATTR_VNA_SWR_Y_AXIS_MAXIMUM;
extern RsCoreAttribute g_RSFPH_ATTR_SMITH_CHART_REFERENCE_IMPEDANCE_MARKER;
extern RsCoreAttribute g_RSFPH_ATTR_START_FULL_S11_CALIBRATION;
extern RsCoreAttribute g_RSFPH_ATTR_START_EASY_S11_CALIBRATION;
extern RsCoreAttribute g_RSFPH_ATTR_START_S21_CALIBRATION;
extern RsCoreAttribute g_RSFPH_ATTR_CONTINUE_CALIBRATION;
extern RsCoreAttribute g_RSFPH_ATTR_ABORT_CALIBRATION;
extern RsCoreAttribute g_RSFPH_ATTR_QUERY_CALIBRATION_MODE;
extern RsCoreAttribute g_RSFPH_ATTR_QUERY_CALIBRATION_STATUS;
extern RsCoreAttribute g_RSFPH_ATTR_SYSTEM_PRESET_CALIBRATION_DISCARD_ENABLED;
extern RsCoreAttribute g_RSFPH_ATTR_BINARY_DATA_ORDER;
extern RsCoreAttribute g_RSFPH_ATTR_STATUS_PRESET;
extern RsCoreAttribute g_RSFPH_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSFPH_ATTR_SELF_TEST_QUERY;
extern RsCoreAttribute g_RSFPH_ATTR_SYST_ERR;
extern RsCoreAttribute g_RSFPH_ATTR_LOGGING;
extern RsCoreAttribute g_RSFPH_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsfph_RsCoreRepCapTable[];
extern ViInt32 rsfph_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsfph_RsCoreAttributeList[];
extern ViInt32 rsfph_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSFPH_ATTRIBUTES_HEADER */
