/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2023-10-18 11:38:12Z
 *****************************************************************************/

#include "rsfph.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rsfph_RsCoreRepCapTableCount = 9;

RsCoreRepCap rsfph_RsCoreRepCapTable[9] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Marker",
      "M1,M2,M3,M4,M5,M6",
      "1,2,3,4,5,6"
    }, {
      "Limit",
      "L1,L2",
      "1,2"
    }, {
      "Transducer",
      "T1,T2",
      "1,2"
    }, {
      "Trace",
      "TR1,TR2",
      "1,2"
    }, {
      "PowerMeter",
      "PM1,PM2",
      "1,2"
    }, {
      "DeltaMarker",
      "DM2,DM3,DM4,DM5,DM6",
      "2,3,4,5,6"
    }, {
      "AlternateChannel",
      "AltCH1,AltCH2,AltCH3,AltCH4,AltCH5,AltCH6,AltCH7,AltCH8,AltCH9,AltCH10,AltCH11",
      "1,2,3,4,5,6,7,8,9,10,11"
    }, {
      "TXChannel",
      "TXCH1,TXCH2,TXCH3,TXCH4,TXCH5,TXCH6,TXCH7,TXCH8,TXCH9,TXCH10,TXCH11,TXCH12",
      "1,2,3,4,5,6,7,8,9,10,11,12"
    }, {
      "bits",
      "bits8,bits9,bits10,bits11,bits12",
      "8,9,10,11,12"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

RsCoreRangeTableRanged rsfph_rngSweepCount = { 1, 999, "" };

static RsCoreRangeTableDiscreteEntry rsfph_rngScalingTypeEntries[2] =
  {
    { RSFPH_VAL_TRACE_SPACE_LIN, "LIN" },
    { RSFPH_VAL_TRACE_SPACE_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete rsfph_rngScalingType = { 2, rsfph_rngScalingTypeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngMeasurementDomainEntries[2] =
  {
    { RSFPH_VAL_DOMAIN_TIME, "CW" },
    { RSFPH_VAL_DOMAIN_FREQUENCY, "SWE" }
  };
RsCoreRangeTableDiscrete rsfph_rngMeasurementDomain = { 2, rsfph_rngMeasurementDomainEntries };

RsCoreRangeTableRanged rsfph_rngFreqOffset = { -100.0E+9, 100.0E+9, "Hz" };

static RsCoreRangeTableDiscreteEntry rsfph_rngFreqCentLinkEntries[3] =
  {
    { RSFPH_VAL_CENT_FREQ_LINK_OFF, "OFF" },
    { RSFPH_VAL_CENT_FREQ_LINK_CENT, "CENT" },
    { RSFPH_VAL_CENT_FREQ_LINK_DIVT, "DIVT" }
  };
RsCoreRangeTableDiscrete rsfph_rngFreqCentLink = { 3, rsfph_rngFreqCentLinkEntries };

RsCoreRangeTableRanged rsfph_rngDisplayBrightness = { 0.00, 1.00, "" };

static RsCoreRangeTableDiscreteEntry rsfph_rngDisplayColorEntries[3] =
  {
    { RSFPH_VAL_DISP_COL_COLOR, "COL" },
    { RSFPH_VAL_DISP_COL_BW, "BW" },
    { RSFPH_VAL_DISP_COL_PF, "PF" }
  };
RsCoreRangeTableDiscrete rsfph_rngDisplayColor = { 3, rsfph_rngDisplayColorEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngDisplayDateFormatEntries[2] =
  {
    { RSFPH_VAL_DISP_DATE_FORMAT_DDMM, "DDMM" },
    { RSFPH_VAL_DISP_DATE_FORMAT_MMDD, "MMDD" }
  };
RsCoreRangeTableDiscrete rsfph_rngDisplayDateFormat = { 2, rsfph_rngDisplayDateFormatEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngPmetUnitEntries[8] =
  {
    { RSFPH_VAL_PMET_UNIT_DBM, "DBM" },
    { RSFPH_VAL_PMET_UNIT_DB, "DB" },
    { RSFPH_VAL_PMET_UNIT_WATT, "W" },
    { RSFPH_VAL_PMET_UNIT_VSWR, "VSWR" },
    { RSFPH_VAL_PMET_UNIT_DUVM, "DUVM" },
    { RSFPH_VAL_PMET_UNIT_DBUV, "DBUV" },
    { RSFPH_VAL_PMET_UNIT_W_M2, "W_M2" },
    { RSFPH_VAL_PMET_UNIT_V_M, "V_M" }
  };
RsCoreRangeTableDiscrete rsfph_rngPmetUnit = { 8, rsfph_rngPmetUnitEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngFreqInputModeEntries[2] =
  {
    { RSFPH_VAL_FREQ_INPUT_MODE_CHAN, "CHAN" },
    { RSFPH_VAL_FREQ_INPUT_MODE_FREQ, "FREQ" }
  };
RsCoreRangeTableDiscrete rsfph_rngFreqInputMode = { 2, rsfph_rngFreqInputModeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngPmetMeasTimeEntries[3] =
  {
    { RSFPH_VAL_PMET_MEASTIME_NORM, "NORM" },
    { RSFPH_VAL_PMET_MEASTIME_SHORT, "SHOR" },
    { RSFPH_VAL_PMET_MEASTIME_LONG, "LONG" }
  };
RsCoreRangeTableDiscrete rsfph_rngPmetMeasTime = { 3, rsfph_rngPmetMeasTimeEntries };

RsCoreRangeTableRanged rsfph_rngExtGateDelay = { 0.0, 100.0, "s" };

RsCoreRangeTableRanged rsfph_rngExtGateLength = { 10.0e-6, 100.0, "s" };

RsCoreRangeTableRanged rsfph_rngMarkerDemodHoldoff = { 0.1, 500, "s" };

static RsCoreRangeTableDiscreteEntry rsfph_rngMarkerDemodTypeEntries[2] =
  {
    { RSFPH_VAL_MARKER_DEMOD_AM, "AM" },
    { RSFPH_VAL_MARKER_DEMOD_FM, "FM" }
  };
RsCoreRangeTableDiscrete rsfph_rngMarkerDemodType = { 2, rsfph_rngMarkerDemodTypeEntries };

RsCoreRangeTableRanged rsfph_rngAttenuationRangeTable = { 0.0, 40.0, "dB" };

static RsCoreRangeTableDiscreteEntry rsfph_rngAmplAttenModeEntries[2] =
  {
    { RSFPH_VAL_ATT_MODE_LNO, "LNO" },
    { RSFPH_VAL_ATT_MODE_LDIS, "LDIS" }
  };
RsCoreRangeTableDiscrete rsfph_rngAmplAttenMode = { 2, rsfph_rngAmplAttenModeEntries };

static ViReal64 rsfph_rngInputImpedanceEntries[2] = { 50, 75 };
RsCoreRangeTableCoerced rsfph_rngInputImpedance = { 2, rsfph_rngInputImpedanceEntries, "Ohm" };

static RsCoreRangeTableDiscreteEntry rsfph_rngTraceResultTypeEntries[3] =
  {
    { RSFPH_VAL_TRACE_RESULT_TRACE1, "TRAC1" },
    { RSFPH_VAL_TRACE_RESULT_TRACE2, "TRAC2" },
    { RSFPH_VAL_TRACE_RESULT_LIST, "LIST" }
  };
RsCoreRangeTableDiscrete rsfph_rngTraceResultType = { 3, rsfph_rngTraceResultTypeEntries };

RsCoreRangeTableRanged rsfph_rngTriggerDelay = { 0.0, 100.0, "s" };

RsCoreRangeTableRanged rsfph_rngPct = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry rsfph_rngPolarityEntries[2] =
  {
    { RSFPH_VAL_NEG, "NEG" },
    { RSFPH_VAL_POS, "POS" }
  };
RsCoreRangeTableDiscrete rsfph_rngPolarity = { 2, rsfph_rngPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngTriggerSourceEntries[6] =
  {
    { RSFPH_VAL_TRG_IMM, "IMM" },
    { RSFPH_VAL_TRG_EXT, "EXT" },
    { RSFPH_VAL_TRG_VID, "VID" },
    { RSFPH_VAL_TRG_INT, "INT" },
    { RSFPH_VAL_TRG_IQP, "IQP" },
    { RSFPH_VAL_TRG_GAT, "GAT" }
  };
RsCoreRangeTableDiscrete rsfph_rngTriggerSource = { 6, rsfph_rngTriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngDetectorTypeEntries[6] =
  {
    { RSFPH_VAL_DETECTOR_TYPE_AUTO_PEAK, "APE" },
    { RSFPH_VAL_DETECTOR_TYPE_AVERAGE, "AVER" },
    { RSFPH_VAL_DETECTOR_TYPE_MAX_PEAK, "POS" },
    { RSFPH_VAL_DETECTOR_TYPE_MIN_PEAK, "NEG" },
    { RSFPH_VAL_DETECTOR_TYPE_SAMPLE, "SAMP" },
    { RSFPH_VAL_DETECTOR_TYPE_RMS, "RMS" }
  };
RsCoreRangeTableDiscrete rsfph_rngDetectorType = { 6, rsfph_rngDetectorTypeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngTraceModeEntries[8] =
  {
    { RSFPH_VAL_TRACE_MODE_WRITE, "WRIT" },
    { RSFPH_VAL_TRACE_MODE_VIEW, "VIEW" },
    { RSFPH_VAL_TRACE_MODE_AVER, "AVER" },
    { RSFPH_VAL_TRACE_MODE_MAXH, "MAXH" },
    { RSFPH_VAL_TRACE_MODE_MINH, "MINH" },
    { RSFPH_VAL_TRACE_MODE_FRE, "FRE" },
    { RSFPH_VAL_TRACE_MODE_INF, "INF" },
    { RSFPH_VAL_TRACE_MODE_BLANK, "BLAN" }
  };
RsCoreRangeTableDiscrete rsfph_rngTraceMode = { 8, rsfph_rngTraceModeEntries };

RsCoreRangeTableRanged rsfph_rngRefLevel = { -100.0, 100.0, "dB" };

static RsCoreRangeTableDiscreteEntry rsfph_rngHcopyDeviceLangEntries[2] =
  {
    { RSFPH_VAL_HCOPY_DEVICE_LANG_JPG, "JPG" },
    { RSFPH_VAL_HCOPY_DEVICE_LANG_PNG, "PNG" }
  };
RsCoreRangeTableDiscrete rsfph_rngHcopyDeviceLang = { 2, rsfph_rngHcopyDeviceLangEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngStatusRegisterEntries[5] =
  {
    { RSFPH_VAL_STAT_REG_MAIN, "" },
    { RSFPH_VAL_STAT_REG_POWER, "POW" },
    { RSFPH_VAL_STAT_REG_LIMIT, "LIM" },
    { RSFPH_VAL_STAT_REG_FREQUENCY, "FREQ" },
    { RSFPH_VAL_STAT_REG_SYNC, "SYNC" }
  };
RsCoreRangeTableDiscrete rsfph_rngStatusRegister = { 5, rsfph_rngStatusRegisterEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngStatusRegisterOperationEntries[2] =
  {
    { RSFPH_VAL_STAT_REG_QUESTIONABLE, "QUES" },
    { RSFPH_VAL_STAT_REG_OPERATION, "OPER" }
  };
RsCoreRangeTableDiscrete rsfph_rngStatusRegisterOperation = { 2, rsfph_rngStatusRegisterOperationEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngStatusRegisterQueryEntries[5] =
  {
    { RSFPH_VAL_STAT_REG_QUERY_COND, "COND" },
    { RSFPH_VAL_STAT_REG_QUERY_EVENT, "EVEN" },
    { RSFPH_VAL_STAT_REG_QUERY_ENABLE, "ENAB" },
    { RSFPH_VAL_STAT_REG_QUERY_PTRANSITION, "PTR" },
    { RSFPH_VAL_STAT_REG_QUERY_NTRANSITION, "NTR" }
  };
RsCoreRangeTableDiscrete rsfph_rngStatusRegisterQuery = { 5, rsfph_rngStatusRegisterQueryEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngSystPresetModeEntries[2] =
  {
    { RSFPH_VAL_SYST_PRESET_MODE_DEFAULT, "DEF" },
    { RSFPH_VAL_SYST_PRESET_MODE_USER, "USER" }
  };
RsCoreRangeTableDiscrete rsfph_rngSystPresetMode = { 2, rsfph_rngSystPresetModeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngSystSOEventLimitModeEntries[3] =
  {
    { RSFPH_VAL_SYST_SOEVENT_LIMIT_MODE_START, "STAR" },
    { RSFPH_VAL_SYST_SOEVENT_LIMIT_MODE_STOP, "STOP" },
    { RSFPH_VAL_SYST_SOEVENT_LIMIT_MODE_FAIL, "FAIL" }
  };
RsCoreRangeTableDiscrete rsfph_rngSystSOEventLimitMode = { 3, rsfph_rngSystSOEventLimitModeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngSystSOEventStorageDeviceEntries[2] =
  {
    { RSFPH_VAL_SYST_SOEVENT_STOR_SDCARD, "SDC" },
    { RSFPH_VAL_SYST_SOEVENT_STOR_USB, "USB" }
  };
RsCoreRangeTableDiscrete rsfph_rngSystSOEventStorageDevice = { 2, rsfph_rngSystSOEventStorageDeviceEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngSystSOEventSourceEntries[4] =
  {
    { RSFPH_VAL_SYST_SOEVENT_SOURCE_TIME, "TIM" },
    { RSFPH_VAL_SYST_SOEVENT_SOURCE_LIM, "LIM" },
    { RSFPH_VAL_SYST_SOEVENT_SOURCE_DIST, "DIST" },
    { RSFPH_VAL_SYST_SOEVENT_SOURCE_ALLSWEEPS, "ALLS" }
  };
RsCoreRangeTableDiscrete rsfph_rngSystSOEventSource = { 4, rsfph_rngSystSOEventSourceEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngAmplitudeUnitsEntries[16] =
  {
    { RSFPH_VAL_AMPLITUDE_UNITS_DBM, "DBM" },
    { RSFPH_VAL_AMPLITUDE_UNITS_DBMV, "DBMV" },
    { RSFPH_VAL_AMPLITUDE_UNITS_DBUV, "DBUV" },
    { RSFPH_VAL_AMPLITUDE_UNITS_VOLT, "V" },
    { RSFPH_VAL_AMPLITUDE_UNITS_WATT, "W" },
    { RSFPH_VAL_AMPLITUDE_UNITS_DUVM, "DUVM" },
    { RSFPH_VAL_AMPLITUDE_UNITS_DUAM, "DUAM" },
    { RSFPH_VAL_AMPLITUDE_UNITS_V_M, "V_M" },
    { RSFPH_VAL_AMPLITUDE_UNITS_W_M2, "W_M2" },
    { RSFPH_VAL_AMPLITUDE_UNITS_RHO, "RHO" },
    { RSFPH_VAL_AMPLITUDE_UNITS_MRHO, "MRHO" },
    { RSFPH_VAL_AMPLITUDE_UNITS_DUVE, "DUVE" },
    { RSFPH_VAL_AMPLITUDE_UNITS_DMVE, "DMVE" },
    { RSFPH_VAL_AMPLITUDE_UNITS_VEMF, "VEMF" },
    { RSFPH_VAL_AMPLITUDE_UNITS_DBUA, "DBUA" },
    { RSFPH_VAL_AMPLITUDE_UNITS_DB, "DB" }
  };
RsCoreRangeTableDiscrete rsfph_rngAmplitudeUnits = { 16, rsfph_rngAmplitudeUnitsEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngROSCSourceEntries[2] =
  {
    { RSFPH_VAL_ROSC_SOURCE_INT, "INT" },
    { RSFPH_VAL_ROSC_SOURCE_EXT, "EXT" }
  };
RsCoreRangeTableDiscrete rsfph_rngROSCSource = { 2, rsfph_rngROSCSourceEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngLimitXUnitEntries[3] =
  {
    { RSFPH_VAL_LIMIT_X_UNIT_HZ, "HZ" },
    { RSFPH_VAL_LIMIT_X_UNIT_S, "S" },
    { RSFPH_VAL_LIMIT_X_UNIT_M, "M" }
  };
RsCoreRangeTableDiscrete rsfph_rngLimitXUnit = { 3, rsfph_rngLimitXUnitEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngAbsRelEntries[2] =
  {
    { RSFPH_VAL_ABS, "ABS" },
    { RSFPH_VAL_REL, "REL" }
  };
RsCoreRangeTableDiscrete rsfph_rngAbsRel = { 2, rsfph_rngAbsRelEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngLimitYUnitEntries[11] =
  {
    { RSFPH_VAL_LIMIT_Y_UNIT_DB, "DB" },
    { RSFPH_VAL_LIMIT_Y_UNIT_DBM, "DBM" },
    { RSFPH_VAL_LIMIT_Y_UNIT_DBMV, "DBMV" },
    { RSFPH_VAL_LIMIT_Y_UNIT_DBUV, "DBUV" },
    { RSFPH_VAL_LIMIT_Y_UNIT_V, "V" },
    { RSFPH_VAL_LIMIT_Y_UNIT_W, "W" },
    { RSFPH_VAL_LIMIT_Y_UNIT_DBUVM, "DBUVM" },
    { RSFPH_VAL_LIMIT_Y_UNIT_DBUAM, "DBUAM" },
    { RSFPH_VAL_LIMIT_Y_UNIT_V_M, "V_M" },
    { RSFPH_VAL_LIMIT_Y_UNIT_W_M2, "W_M2" },
    { RSFPH_VAL_LIMIT_Y_UNIT_VSWR, "VSWR" }
  };
RsCoreRangeTableDiscrete rsfph_rngLimitYUnit = { 11, rsfph_rngLimitYUnitEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngSystemAccessoryEntries[9] =
  {
    { RSFPH_VAL_SYST_ACCESSORY_NONE, "NONE" },
    { RSFPH_VAL_SYST_ACCESSORY_UNKNOWN, "UNKN" },
    { RSFPH_VAL_SYST_ACCESSORY_TS, "TS" },
    { RSFPH_VAL_SYST_ACCESSORY_Z1, "Z1" },
    { RSFPH_VAL_SYST_ACCESSORY_Z2, "Z2" },
    { RSFPH_VAL_SYST_ACCESSORY_Z3, "Z3" },
    { RSFPH_VAL_SYST_ACCESSORY_Z18, "Z18" },
    { RSFPH_VAL_SYST_ACCESSORY_Z44, "Z44" },
    { RSFPH_VAL_SYST_ACCESSORY_ZN_Z103, "ZN_Z103" }
  };
RsCoreRangeTableDiscrete rsfph_rngSystemAccessory = { 9, rsfph_rngSystemAccessoryEntries };

RsCoreRangeTableRanged rsfph_rngSpeakerVolume = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry rsfph_rngBNCModeEntries[3] =
  {
    { RSFPH_VAL_BNC_MODE_REFERENCE, "REF" },
    { RSFPH_VAL_BNC_MODE_TRIGGER, "TRIG" },
    { RSFPH_VAL_BNC_MODE_BIAS, "BIAS" }
  };
RsCoreRangeTableDiscrete rsfph_rngBNCMode = { 3, rsfph_rngBNCModeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngCaptureModeEntries[4] =
  {
    { RSFPH_VAL_CAPTURE_MODE_NONE, "NONE" },
    { RSFPH_VAL_CAPTURE_MODE_SCREEN, "SCR" },
    { RSFPH_VAL_CAPTURE_MODE_DATASET, "DAT" },
    { RSFPH_VAL_CAPTURE_MODE_BOTH, "BOTH" }
  };
RsCoreRangeTableDiscrete rsfph_rngCaptureMode = { 4, rsfph_rngCaptureModeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngInstrumentModeEntries[8] =
  {
    { RSFPH_VAL_INSTRUMENT_SAN, "SAN" },
    { RSFPH_VAL_INSTRUMENT_PM, "PM" },
    { RSFPH_VAL_INSTRUMENT_ADEM, "ADEM" },
    { RSFPH_VAL_INSTRUMENT_REC, "REC" },
    { RSFPH_VAL_INSTRUMENT_ACT, "ACT" },
    { RSFPH_VAL_INSTRUMENT_MAPS, "MAPS" },
    { RSFPH_VAL_INSTRUMENT_DDEM, "DDEM" },
    { RSFPH_VAL_INSTRUMENT_NAN, "NAN" }
  };
RsCoreRangeTableDiscrete rsfph_rngInstrumentMode = { 8, rsfph_rngInstrumentModeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngMarkerFreqDispModeEntries[2] =
  {
    { RSFPH_VAL_MARKER_FREQ_DISP_MODE_FREQ, "FREQ" },
    { RSFPH_VAL_MARKER_FREQ_DISP_MODE_CHAN, "CHAN" }
  };
RsCoreRangeTableDiscrete rsfph_rngMarkerFreqDispMode = { 2, rsfph_rngMarkerFreqDispModeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngPmetStandardSelectEntries[9] =
  {
    { RSFPH_VAL_PMET_STANDARD_GSM, "GSM" },
    { RSFPH_VAL_PMET_STANDARD_EDGE, "EDGE" },
    { RSFPH_VAL_PMET_STANDARD_WCDMA, "WCDMA" },
    { RSFPH_VAL_PMET_STANDARD_CDMAO, "CDMAO" },
    { RSFPH_VAL_PMET_STANDARD_CDMA2000, "CDMA2000" },
    { RSFPH_VAL_PMET_STANDARD_DVBT, "DVBT" },
    { RSFPH_VAL_PMET_STANDARD_DAB, "DAB" },
    { RSFPH_VAL_PMET_STANDARD_TETRA, "TETRA" },
    { RSFPH_VAL_PMET_STANDARD_USER, "USER" }
  };
RsCoreRangeTableDiscrete rsfph_rngPmetStandardSelect = { 9, rsfph_rngPmetStandardSelectEntries };

RsCoreRangeTableRanged rsfph_rngDISPAmplitudeRange = { 1.0, 150.0, "dB" };

static RsCoreRangeTableDiscreteEntry rsfph_rngSystemPadTypeEntries[3] =
  {
    { RSFPH_VAL_PAD_TYPE_RAM, "RAM" },
    { RSFPH_VAL_PAD_TYPE_RAZ, "RAZ" },
    { RSFPH_VAL_PAD_TYPE_HZTE, "HZTE" }
  };
RsCoreRangeTableDiscrete rsfph_rngSystemPadType = { 3, rsfph_rngSystemPadTypeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngTraceMathExpressionEntries[2] =
  {
    { RSFPH_VAL_TRACE_MATH_EXPR_MEMCURR, "(IMPLied - memory)" },
    { RSFPH_VAL_TRACE_MATH_EXPR_CURRMEM, "(memory - IMPLied)" }
  };
RsCoreRangeTableDiscrete rsfph_rngTraceMathExpression = { 2, rsfph_rngTraceMathExpressionEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngSystemPowerSourceEntries[2] =
  {
    { RSFPH_VAL_POWER_SOURCE_BATTERY, "BATT" },
    { RSFPH_VAL_POWER_SOURCE_MAINS, "ADAP" }
  };
RsCoreRangeTableDiscrete rsfph_rngSystemPowerSource = { 2, rsfph_rngSystemPowerSourceEntries };

RsCoreRangeTableRanged rsfph_rngDisplayReferencePosition = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry rsfph_rngPWMForwardPowerDisplayEntries[2] =
  {
    { RSFPH_VAL_PMET_DETECTOR_AVERAGE, "AVER" },
    { RSFPH_VAL_PMET_DETECTOR_PEAK_ENVELOPE, "PENV" }
  };
RsCoreRangeTableDiscrete rsfph_rngPWMForwardPowerDisplay = { 2, rsfph_rngPWMForwardPowerDisplayEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngMeasPowerSelectEntries[4] =
  {
    { RSFPH_VAL_MEAS_POW_CPOW, "CPOW" },
    { RSFPH_VAL_MEAS_POW_MCAC, "MCAC" },
    { RSFPH_VAL_MEAS_POW_OBW, "OBW" },
    { RSFPH_VAL_MEAS_POW_TDMA, "TDMA" }
  };
RsCoreRangeTableDiscrete rsfph_rngMeasPowerSelect = { 4, rsfph_rngMeasPowerSelectEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngAnalogModulationResultDisplayEntries[4] =
  {
    { RSFPH_VAL_AM_TIME, "XTIM:AM" },
    { RSFPH_VAL_FM_TIME, "XTIM:FM" },
    { RSFPH_VAL_AM_SUMMARY, "XTIM:AMS" },
    { RSFPH_VAL_FM_SUMMARY, "XTIM:FMS" }
  };
RsCoreRangeTableDiscrete rsfph_rngAnalogModulationResultDisplay = { 4, rsfph_rngAnalogModulationResultDisplayEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngChannelPowerDisplayModeEntries[2] =
  {
    { RSFPH_VAL_DISPLAY_MODE_CLR, "CLR" },
    { RSFPH_VAL_DISPLAY_MODE_MAXHOLD, "MAX" }
  };
RsCoreRangeTableDiscrete rsfph_rngChannelPowerDisplayMode = { 2, rsfph_rngChannelPowerDisplayModeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngChannelPowerUnitsEntries[9] =
  {
    { RSFPH_VAL_CHANNEL_POWER_UNITS_DBM, "DBM" },
    { RSFPH_VAL_CHANNEL_POWER_UNITS_DBMV, "DBMV" },
    { RSFPH_VAL_CHANNEL_POWER_UNITS_DBUV, "DBUV" },
    { RSFPH_VAL_CHANNEL_POWER_UNITS_VOLT, "V" },
    { RSFPH_VAL_CHANNEL_POWER_UNITS_WATT, "W" },
    { RSFPH_VAL_CHANNEL_POWER_UNITS_DUVM, "DUVM" },
    { RSFPH_VAL_CHANNEL_POWER_UNITS_DUAM, "DUAM" },
    { RSFPH_VAL_CHANNEL_POWER_UNITS_V_M, "V_M" },
    { RSFPH_VAL_CHANNEL_POWER_UNITS_W_M2, "W_M2" }
  };
RsCoreRangeTableDiscrete rsfph_rngChannelPowerUnits = { 9, rsfph_rngChannelPowerUnitsEntries };

RsCoreRangeTableRanged rsfph_rngOccupiedBandwidthPowerPercentage = { 10.0, 99.9, "%" };

static RsCoreRangeTableDiscreteEntry rsfph_rngReceiverTraceStyleEntries[2] =
  {
    { RSFPH_VAL_STYLE_LINES, "LIN" },
    { RSFPH_VAL_STYLE_POLYGON, "POLY" }
  };
RsCoreRangeTableDiscrete rsfph_rngReceiverTraceStyle = { 2, rsfph_rngReceiverTraceStyleEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngIsotropicAntennaDirectionEntries[4] =
  {
    { RSFPH_VAL_DIRECTION_AUTO, "AUTO" },
    { RSFPH_VAL_DIRECTION_X, "X" },
    { RSFPH_VAL_DIRECTION_Y, "Y" },
    { RSFPH_VAL_DIRECTION_Z, "Z" }
  };
RsCoreRangeTableDiscrete rsfph_rngIsotropicAntennaDirection = { 4, rsfph_rngIsotropicAntennaDirectionEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngDigitalDemodulationResultDisplayEntries[4] =
  {
    { RSFPH_VAL_ERROR, "XTIM:DDEM:ERR:MPH" },
    { RSFPH_VAL_EYE, "XTIM:DDEM:EYE" },
    { RSFPH_VAL_MEAS, "XTIM:DDEM:MEAS" },
    { RSFPH_VAL_SYMBOL, "XTIM:DDEM:SYMB" }
  };
RsCoreRangeTableDiscrete rsfph_rngDigitalDemodulationResultDisplay = { 4, rsfph_rngDigitalDemodulationResultDisplayEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngDigitalDemodulationModulationEntries[2] =
  {
    { RSFPH_VAL_DDEM_ASK, "ASK" },
    { RSFPH_VAL_DDEM_FSK, "FSK" }
  };
RsCoreRangeTableDiscrete rsfph_rngDigitalDemodulationModulation = { 2, rsfph_rngDigitalDemodulationModulationEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngDigitalDemodulationFilterTypeEntries[3] =
  {
    { RSFPH_VAL_FILTER_GAUS, "GAUS" },
    { RSFPH_VAL_FILTER_RC, "RC" },
    { RSFPH_VAL_FILTER_RRC, "RRC" }
  };
RsCoreRangeTableDiscrete rsfph_rngDigitalDemodulationFilterType = { 3, rsfph_rngDigitalDemodulationFilterTypeEntries };

RsCoreRangeTableRanged rsfph_rngDigitalDemodulationFilterRolloffFactor = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry rsfph_rngStatusRegisterFormatEntries[4] =
  {
    { RSFPH_VAL_STATUS_REG_FORMAT_ASCII, "ASC" },
    { RSFPH_VAL_STATUS_REG_FORMAT_BINARY, "BIN" },
    { RSFPH_VAL_STATUS_REG_FORMAT_HEX, "HEX" },
    { RSFPH_VAL_STATUS_REG_FORMAT_OCTAL, "OCT" }
  };
RsCoreRangeTableDiscrete rsfph_rngStatusRegisterFormat = { 4, rsfph_rngStatusRegisterFormatEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngAnalogModulationAudioLowpassFilterEntries[4] =
  {
    { RSFPH_VAL_LOWPASS_FILTER_DBW_1, "DBW1" },
    { RSFPH_VAL_LOWPASS_FILTER_DBW_10, "DBW10" },
    { RSFPH_VAL_LOWPASS_FILTER_DBW_30, "DBW30" },
    { RSFPH_VAL_LOWPASS_FILTER_DBW_100, "DBW100" }
  };
RsCoreRangeTableDiscrete rsfph_rngAnalogModulationAudioLowpassFilter = { 4, rsfph_rngAnalogModulationAudioLowpassFilterEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngDisplayUnitLengthEntries[2] =
  {
    { RSFPH_VAL_UNIT_LENGTH_METER, "MET" },
    { RSFPH_VAL_UNIT_LENGTH_FEET, "FEET" }
  };
RsCoreRangeTableDiscrete rsfph_rngDisplayUnitLength = { 2, rsfph_rngDisplayUnitLengthEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngACLRUnitsEntries[10] =
  {
    { RSFPH_VAL_ACLR_UNITS_DBM, "DBM" },
    { RSFPH_VAL_ACLR_UNITS_DBMV, "DBMV" },
    { RSFPH_VAL_ACLR_UNITS_DBUV, "DBUV" },
    { RSFPH_VAL_ACLR_UNITS_VOLT, "V" },
    { RSFPH_VAL_ACLR_UNITS_WATT, "W" },
    { RSFPH_VAL_ACLR_UNITS_DVUA, "DBUA" },
    { RSFPH_VAL_ACLR_UNITS_DUVM, "DUVM" },
    { RSFPH_VAL_ACLR_UNITS_DUAM, "DUAM" },
    { RSFPH_VAL_ACLR_UNITS_VOLT_PER_M, "V_M" },
    { RSFPH_VAL_ACLR_UNITS_WATT_PER_SQM, "W_M2" }
  };
RsCoreRangeTableDiscrete rsfph_rngACLRUnits = { 10, rsfph_rngACLRUnitsEntries };

RsCoreRangeTableRanged rsfph_rngACLRNumberOfAdjacentChannels = { 1, 12, "" };

static RsCoreRangeTableDiscreteEntry rsfph_rngACLRReferenceChannelAutomaticSelectionEntries[4] =
  {
    { RSFPH_VAL_ADJ_RCHAN_AUTO_MIN, "MIN" },
    { RSFPH_VAL_ADJ_RCHAN_AUTO_MAX, "MAX" },
    { RSFPH_VAL_ADJ_RCHAN_AUTO_LHIG, "LHIG" },
    { RSFPH_VAL_ADJ_RCHAN_AUTO_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsfph_rngACLRReferenceChannelAutomaticSelection = { 4, rsfph_rngACLRReferenceChannelAutomaticSelectionEntries };

RsCoreRangeTableRanged rsfph_rngACLRTransmissionChannelCount = { 1, 12, "" };

RsCoreRangeTableRanged rsfph_rngHarmonicDistortionNoOfHarmonics = { 1, 6, "" };

static RsCoreRangeTableDiscreteEntry rsfph_rngHarmonicDistortionResultEntries[1] =
  {
    { RSFPH_VAL_HARMONIC_TOTAL, "TOT" }
  };
RsCoreRangeTableDiscrete rsfph_rngHarmonicDistortionResult = { 1, rsfph_rngHarmonicDistortionResultEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngGPSReceiverQualityEntries[5] =
  {
    { RSFPH_VAL_GPS_RECEIVER_QUALITY_INSUFFICIENT, "INS" },
    { RSFPH_VAL_GPS_RECEIVER_QUALITY_LOW, "LOW" },
    { RSFPH_VAL_GPS_RECEIVER_QUALITY_MEDIUM, "MED" },
    { RSFPH_VAL_GPS_RECEIVER_QUALITY_HIGH, "HIGH" },
    { RSFPH_VAL_GPS_RECEIVER_QUALITY_EXCELLENT, "EXC" }
  };
RsCoreRangeTableDiscrete rsfph_rngGPSReceiverQuality = { 5, rsfph_rngGPSReceiverQualityEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngChannelLinkDirectionEntries[2] =
  {
    { RSFPH_VAL_UP, "UP" },
    { RSFPH_VAL_DOWN, "DOWN" }
  };
RsCoreRangeTableDiscrete rsfph_rngChannelLinkDirection = { 2, rsfph_rngChannelLinkDirectionEntries };

RsCoreRangeTableRanged rsfph_rngAnalogModulationReferenceDeviation = { 5e3, 1e6, "Hz" };

static RsCoreRangeTableDiscreteEntry rsfph_rngSEMSweepModeEntries[3] =
  {
    { RSFPH_VAL_SEM_SWEEP_MODE_AUTO, "AUTO" },
    { RSFPH_VAL_SEM_SWEEP_MODE_ESPECTRUM, "ESP" },
    { RSFPH_VAL_SEM_SWEEP_MODE_LIST, "LIST" }
  };
RsCoreRangeTableDiscrete rsfph_rngSEMSweepMode = { 3, rsfph_rngSEMSweepModeEntries };

RsCoreRangeTableRanged rsfph_rngFSKFrequencyDeviation = { 1000, 200000, "Hz" };

static RsCoreRangeTableDiscreteEntry rsfph_rngBinaryDataOrderEntries[2] =
  {
    { RSFPH_VAL_BINARY_ORDER_NORMAL, "NORM" },
    { RSFPH_VAL_BINARY_ORDER_SWAPPED, "SWAP" }
  };
RsCoreRangeTableDiscrete rsfph_rngBinaryDataOrder = { 2, rsfph_rngBinaryDataOrderEntries };

RsCoreRangeTableRanged rsfph_rngTGAttenuation = { 0, 40, "DB" };

RsCoreRangeTableRanged rsfph_rngTGFrequencyOffset = { 0, 1.95, "GHZ" };

static RsCoreRangeTableDiscreteEntry rsfph_rngFreqScaleEntries[2] =
  {
    { RSFPH_VAL_FREQ_SCALE_LINEAR, "LIN" },
    { RSFPH_VAL_FREQ_SCALE_LOGARITHMIC, "LOG" }
  };
RsCoreRangeTableDiscrete rsfph_rngFreqScale = { 2, rsfph_rngFreqScaleEntries };

RsCoreRangeTableRanged rsfph_rngSmithReferenceImpedanceMarker = { 1e-3, 10e3, "Ohm" };

static RsCoreRangeTableDiscreteEntry rsfph_rngMagnitudeScaleEntries[2] =
  {
    { RSFPH_VAL_MAGNITUDE_SCALE_LINEAR, "LIN" },
    { RSFPH_VAL_MAGNITUDE_SCALE_LOGARITHMIC, "LOG" }
  };
RsCoreRangeTableDiscrete rsfph_rngMagnitudeScale = { 2, rsfph_rngMagnitudeScaleEntries };

RsCoreRangeTableRanged rsfph_rngPhaseReferenceLevel = { -100000, 100000, "deg" };

RsCoreRangeTableRanged rsfph_rngPhaseReferencePosition = { 0, 10, "" };

RsCoreRangeTableRanged rsfph_rngPhaseYAxisRange = { 90, 100000, "deg" };

RsCoreRangeTableRanged rsfph_rngSWRYAxisRange = { 1.1, 71, "dB" };

RsCoreRangeTableRanged rsfph_rngSWRYAxisMax = { 1.1, 71, "" };

RsCoreRangeTableRanged rsfph_rngSWRYAxisMin = { 1, 71, "" };

static RsCoreRangeTableDiscreteEntry rsfph_rngVNAMeasurementFormatEntries[5] =
  {
    { RSFPH_VAL_VNA_MEAS_FORMAT_LOSS, "LOSS" },
    { RSFPH_VAL_VNA_MEAS_FORMAT_MAGNITUDE, "MAGN" },
    { RSFPH_VAL_VNA_MEAS_FORMAT_PHASE, "PHAS" },
    { RSFPH_VAL_VNA_MEAS_FORMAT_SMITH, "SMIT" },
    { RSFPH_VAL_VNA_MEAS_FORMAT_VSWR, "VSWR" }
  };
RsCoreRangeTableDiscrete rsfph_rngVNAMeasurementFormat = { 5, rsfph_rngVNAMeasurementFormatEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngVNAMeasurementModeEntries[4] =
  {
    { RSFPH_VAL_VNA_MEAS_MODE_DTFAULT, "DTF" },
    { RSFPH_VAL_VNA_MEAS_MODE_LOSS, "LOSS" },
    { RSFPH_VAL_VNA_MEAS_MODE_REFLECTION, "REFL" },
    { RSFPH_VAL_VNA_MEAS_MODE_TRANSMISSION, "TRAN" }
  };
RsCoreRangeTableDiscrete rsfph_rngVNAMeasurementMode = { 4, rsfph_rngVNAMeasurementModeEntries };

RsCoreRangeTableRanged rsfph_rngACLRAbsoluteLimit = { -500, 500, "dBm" };

RsCoreRangeTableRanged rsfph_rngACLRRelativeLimitCheck = { 0, 100, "dB" };

RsCoreRangeTableRanged rsfph_rngACLRAlternateAbsoluteLimitCheck = { -500, 500, "dBm" };

RsCoreRangeTableRanged rsfph_rngACLRAlternateRelativeLimitCheck = { -500, 500, "dB" };

static RsCoreRangeTableDiscreteEntry rsfph_rngMarkerModeEntries[8] =
  {
    { RSFPH_VAL_MARKER_MODE_NORMAL, "NORM" },
    { RSFPH_VAL_MARKER_MODE_REFLECTION_DB, "RPDB" },
    { RSFPH_VAL_MARKER_MODE_REFLECTION_LINEAR, "RPL" },
    { RSFPH_VAL_MARKER_MODE_REFLECTION_SCALAR, "RSC" },
    { RSFPH_VAL_MARKER_MODE_IMPEDANCE, "IMP" },
    { RSFPH_VAL_MARKER_MODE_ADMITTANCE, "ADM" },
    { RSFPH_VAL_MARKER_MODE_IMPEDANCE_STD, "NIMP" },
    { RSFPH_VAL_MARKER_MODE_ADMITTANCE_STD, "NADM" }
  };
RsCoreRangeTableDiscrete rsfph_rngMarkerMode = { 8, rsfph_rngMarkerModeEntries };

RsCoreRangeTableRanged rsfph_rngTGPower = { -40, 0, "dBm" };

static RsCoreRangeTableDiscreteEntry rsfph_rngCalibrationInstructionsEntries[6] =
  {
    { RSFPH_VAL_CALIBRATION_DONE, "Calibration done" },
    { RSFPH_VAL_CALIBRATION_CONNECT_OPEN, "Connect Open to port 1" },
    { RSFPH_VAL_CALIBRATION_CONNECT_SHORT, "Connect Short to port 1" },
    { RSFPH_VAL_CALIBRATION_CONNECT_LOAD, "Connect Load to port 1" },
    { RSFPH_VAL_CALIBRATION_CONNECT_THROUGH, "Connect Through" },
    { RSFPH_VAL_CALIBRATION_DISCONNECT_DUT, "Disconnect DUT from port 1" }
  };
RsCoreRangeTableDiscrete rsfph_rngCalibrationInstructions = { 6, rsfph_rngCalibrationInstructionsEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngCalibrationModeEntries[2] =
  {
    { RSFPH_VAL_CALIBRATION_MODE_DEFAULT, "0" },
    { RSFPH_VAL_CALIBRATION_MODE_USER, "1" }
  };
RsCoreRangeTableDiscrete rsfph_rngCalibrationMode = { 2, rsfph_rngCalibrationModeEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngCalibrationStatusEntries[2] =
  {
    { RSFPH_VAL_CALIBRATION_STATUS_NORM, "NORM" },
    { RSFPH_VAL_CALIBRATION_STATUS_APPROX, "APPR" }
  };
RsCoreRangeTableDiscrete rsfph_rngCalibrationStatus = { 2, rsfph_rngCalibrationStatusEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngLimitCheckStateEntries[2] =
  {
    { RSFPH_VAL_LIMIT_CHECK_STATE_PASS, "PASSED" },
    { RSFPH_VAL_LIMIT_CHECK_STATE_FAIL, "FAILED" }
  };
RsCoreRangeTableDiscrete rsfph_rngLimitCheckState = { 2, rsfph_rngLimitCheckStateEntries };

RsCoreRangeTableRanged rsfph_rngSweepPoints = { 101, 2501, "" };

RsCoreRangeTableRanged rsfph_rngVNAReturnLossLogRange = { 0, 100, "%" };

RsCoreRangeTableRanged rsfph_rngVNACableLossYAxisRange = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry rsfph_rngTraceEntries[4] =
  {
    { RSFPH_VAL_TRACE1, "TRACe1" },
    { RSFPH_VAL_TRACE2, "TRACe2" },
    { RSFPH_VAL_TRACE3, "TRACe3" },
    { RSFPH_VAL_TRACE4, "TRACe4" }
  };
RsCoreRangeTableDiscrete rsfph_rngTrace = { 4, rsfph_rngTraceEntries };

static RsCoreRangeTableDiscreteEntry rsfph_rngDigitalDemodulationStandardEntries[3] =
  {
    { RSFPH_VAL_DIGITAL_DEMODULATION_STANDARD_BLE, "BLE" },
    { RSFPH_VAL_DIGITAL_DEMODULATION_STANDARD_OFF, "OFF" },
    { RSFPH_VAL_DIGITAL_DEMODULATION_STANDARD_TIRE, "TIRE" }
  };
RsCoreRangeTableDiscrete rsfph_rngDigitalDemodulationStandard = { 3, rsfph_rngDigitalDemodulationStandardEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_DOMAIN =
  {
    RSFPH_ATTR_FREQUENCY_DOMAIN,
    "Frequency Measurement Domain",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngMeasurementDomain, NULL, NULL,
    "FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_DOMAIN_FREQUENCY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_INPUT_MODE =
  {
    RSFPH_ATTR_FREQUENCY_INPUT_MODE,
    "Frequency Input Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngFreqInputMode, NULL, NULL,
    "FREQ:INP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_FREQ_INPUT_MODE_FREQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_OFFSET =
  {
    RSFPH_ATTR_FREQUENCY_OFFSET,
    "Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngFreqOffset, NULL,
    "FREQ:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_START =
  {
    RSFPH_ATTR_FREQUENCY_START,
    "Frequency Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_STOP =
  {
    RSFPH_ATTR_FREQUENCY_STOP,
    "Frequency Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2000.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_CENTER =
  {
    RSFPH_ATTR_FREQUENCY_CENTER,
    "Center Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_CENTER_STEP =
  {
    RSFPH_ATTR_FREQUENCY_CENTER_STEP,
    "Center Frequency Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:CENT:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_CENTER_LINK =
  {
    RSFPH_ATTR_FREQUENCY_CENTER_LINK,
    "Center Frequency Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngFreqCentLink, NULL, NULL,
    "FREQ:CENT:STEP:LINK",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_CENT_FREQ_LINK_DIVT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_SPAN =
  {
    RSFPH_ATTR_FREQUENCY_SPAN,
    "Frequency Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_SPAN_AUTO =
  {
    RSFPH_ATTR_FREQUENCY_SPAN_AUTO,
    "Frequency Span Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FREQ:SPAN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FREQUENCY_SPAN_FULL =
  {
    RSFPH_ATTR_FREQUENCY_SPAN_FULL,
    "Full Frequency Span",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FREQ:SPAN:FULL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CHANNEL_NUMBER =
  {
    RSFPH_ATTR_CHANNEL_NUMBER,
    "Channel Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CHANNEL_TABLE_DOWNLINK =
  {
    RSFPH_ATTR_CHANNEL_TABLE_DOWNLINK,
    "Channel Table Downlink",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN:TABL:SEL:DOWN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\\Public\\Channel Tables\\TV\\TV Italy.chntab",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CHANNEL_TABLE_UPLINK =
  {
    RSFPH_ATTR_CHANNEL_TABLE_UPLINK,
    "Channel Table Uplink",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN:TABL:SEL:UPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\\Public\\Channel Tables\\TV\\TV China.chntab",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CHANNEL_TABLE_SELECT =
  {
    RSFPH_ATTR_CHANNEL_TABLE_SELECT,
    "Channel Table Select",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN:TABL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TV China.CHNTAB",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CHANNEL_LINK_DIRECTION =
  {
    RSFPH_ATTR_CHANNEL_LINK_DIRECTION,
    "Channel Link Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngChannelLinkDirection, NULL, NULL,
    "CHAN:TABL:SET",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_UP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_AMPLITUDE_UNITS =
  {
    RSFPH_ATTR_AMPLITUDE_UNITS,
    "Amplitude Units",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngAmplitudeUnits, NULL, NULL,
    "UNIT:POW",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_AMPLITUDE_UNITS_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ATTENUATION =
  {
    RSFPH_ATTR_ATTENUATION,
    "Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngAttenuationRangeTable, NULL,
    "INP:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ATTENUATION_AUTO =
  {
    RSFPH_ATTR_ATTENUATION_AUTO,
    "Attenuation Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:ATT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ATTENUATION_MODE =
  {
    RSFPH_ATTR_ATTENUATION_MODE,
    "Attenuation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngAmplAttenMode, NULL, NULL,
    "INP:ATT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_ATT_MODE_LDIS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_LEVEL =
  {
    RSFPH_ATTR_REFERENCE_LEVEL,
    "Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:TRAC:Y:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_LEVEL_OFFSET =
  {
    RSFPH_ATTR_REFERENCE_LEVEL_OFFSET,
    "Reference Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngRefLevel, NULL,
    "DISP:TRAC:Y:RLEV:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_AMPL_PREAMPLIFIER =
  {
    RSFPH_ATTR_AMPL_PREAMPLIFIER,
    "Amplitude Preamplifier State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_INPUT_IMPEDANCE =
  {
    RSFPH_ATTR_INPUT_IMPEDANCE,
    "Input Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, &rsfph_rngInputImpedance,
    "INP:IMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_NUMBER_OF_SWEEPS =
  {
    RSFPH_ATTR_NUMBER_OF_SWEEPS,
    "Number of Sweeps",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsfph_rngSweepCount, NULL,
    "SWE:COUN",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VERTICAL_SCALE =
  {
    RSFPH_ATTR_VERTICAL_SCALE,
    "Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngScalingType, NULL, NULL,
    "DISP:TRAC:Y:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_TRACE_SPACE_LOG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SWEEP_MODE =
  {
    RSFPH_ATTR_SWEEP_MODE,
    "Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INIT:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACKING_GENERATOR_ATTENUATION =
  {
    RSFPH_ATTR_TRACKING_GENERATOR_ATTENUATION,
    "Tracking Generator Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngTGAttenuation, NULL,
    "SOUR:TG:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACKING_GENERATOR_ZERO_SPAN_ENABLED =
  {
    RSFPH_ATTR_TRACKING_GENERATOR_ZERO_SPAN_ENABLED,
    "Tracking Generator Zero Span Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR:TG:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACKING_GENERATOR_AUTO_FREQUENCY_ENABLED =
  {
    RSFPH_ATTR_TRACKING_GENERATOR_AUTO_FREQUENCY_ENABLED,
    "Tracking Generator Auto Frequency Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR:TG:FREQ:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACKING_GENERATOR_FREQUENCY =
  {
    RSFPH_ATTR_TRACKING_GENERATOR_FREQUENCY,
    "Tracking Generator Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR:TG:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACKING_GENERATOR_FREQUENCY_OFFSET =
  {
    RSFPH_ATTR_TRACKING_GENERATOR_FREQUENCY_OFFSET,
    "Tracking Generator Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngTGFrequencyOffset, NULL,
    "SOUR:TG:FREQ:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACKING_GENERATOR_POWER =
  {
    RSFPH_ATTR_TRACKING_GENERATOR_POWER,
    "Tracking Generator Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngTGPower, NULL,
    "SOUR:TG:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACKING_GENERATOR_ENABLED =
  {
    RSFPH_ATTR_TRACKING_GENERATOR_ENABLED,
    "Tracking Generator Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR:TG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RESOLUTION_BANDWIDTH =
  {
    RSFPH_ATTR_RESOLUTION_BANDWIDTH,
    "Resolution Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    200.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RESOLUTION_BANDWIDTH_AUTO =
  {
    RSFPH_ATTR_RESOLUTION_BANDWIDTH_AUTO,
    "Resolution Bandwidth Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BAND:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SWEEP_TIME =
  {
    RSFPH_ATTR_SWEEP_TIME,
    "Sweep Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SWE:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SWEEP_TIME_AUTO =
  {
    RSFPH_ATTR_SWEEP_TIME_AUTO,
    "Sweep Time Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SWE:TIME:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SWEEP_POINTS =
  {
    RSFPH_ATTR_SWEEP_POINTS,
    "Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsfph_rngSweepPoints, NULL,
    "SWE:POIN",
    // Defaults I32, I64, Float, Bool, String
    201,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VIDEO_BANDWIDTH =
  {
    RSFPH_ATTR_VIDEO_BANDWIDTH,
    "Video Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BWID:VID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VIDEO_BANDWIDTH_AUTO =
  {
    RSFPH_ATTR_VIDEO_BANDWIDTH_AUTO,
    "Video Bandwidth Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BWID:VID:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRIGGER_SOURCE =
  {
    RSFPH_ATTR_TRIGGER_SOURCE,
    "Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngTriggerSource, NULL, NULL,
    "TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_TRG_IMM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRIGGER_DELAY =
  {
    RSFPH_ATTR_TRIGGER_DELAY,
    "Trigger Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngTriggerDelay, NULL,
    "TRIG:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRIGGER_CLOCK =
  {
    RSFPH_ATTR_TRIGGER_CLOCK,
    "Trigger Clock",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:CLOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRIGGER_SLOPE =
  {
    RSFPH_ATTR_TRIGGER_SLOPE,
    "Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngPolarity, NULL, NULL,
    "TRIG:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_POS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VIDEO_TRIGGER_LEVEL =
  {
    RSFPH_ATTR_VIDEO_TRIGGER_LEVEL,
    "Video Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngPct, NULL,
    "TRIG:LEV:VID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_IQ_TRIGGER_LEVEL =
  {
    RSFPH_ATTR_IQ_TRIGGER_LEVEL,
    "IQ Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:LEV:IQP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_EXTERNAL_GATE =
  {
    RSFPH_ATTR_EXTERNAL_GATE,
    "External Gate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SWE:EGAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_EXTERNAL_GATE_HOLD =
  {
    RSFPH_ATTR_EXTERNAL_GATE_HOLD,
    "External Gate Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngExtGateDelay, NULL,
    "SWE:EGAT:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_EXTERNAL_GATE_LENGTH =
  {
    RSFPH_ATTR_EXTERNAL_GATE_LENGTH,
    "External Gate Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngExtGateLength, NULL,
    "SWE:EGAT:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    400.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_EXTERNAL_GATE_TIME =
  {
    RSFPH_ATTR_EXTERNAL_GATE_TIME,
    "External Gate Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SWE:EGAT:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    400e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DETECTOR_TYPE =
  {
    RSFPH_ATTR_DETECTOR_TYPE,
    "Detector Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngDetectorType, NULL, NULL,
    "DET{Trace}",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_DETECTOR_TYPE_AUTO_PEAK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DETECTOR_TYPE_AUTO =
  {
    RSFPH_ATTR_DETECTOR_TYPE_AUTO,
    "Detector Type Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DET{Trace}:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACE_STATE =
  {
    RSFPH_ATTR_TRACE_STATE,
    "Trace State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:TRAC{Trace}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACE_MEMORY_STATE =
  {
    RSFPH_ATTR_TRACE_MEMORY_STATE,
    "Trace Memory State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:TRAC{Trace}:MEM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACE_TYPE =
  {
    RSFPH_ATTR_TRACE_TYPE,
    "Trace Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngTraceMode, NULL, NULL,
    "DISP:TRAC{Trace}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_TRACE_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SUBTRACT_TRACES =
  {
    RSFPH_ATTR_SUBTRACT_TRACES,
    "Subtract Traces",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngTraceMathExpression, NULL, NULL,
    "CALC:MATH{Trace}",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_TRACE_MATH_EXPR_MEMCURR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACE_MATH_STATE =
  {
    RSFPH_ATTR_TRACE_MATH_STATE,
    "Trace Math State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Trace}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRACE_MATH_STORE =
  {
    RSFPH_ATTR_TRACE_MATH_STORE,
    "Trace Math Store",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MATH{Trace}:COPY:MEM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_MARKER_PEAK =
  {
    RSFPH_ATTR_REFERENCE_MARKER_PEAK,
    "Delta Marker Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:DELT{DeltaMarker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_MARKER_PEAK_NEXT =
  {
    RSFPH_ATTR_REFERENCE_MARKER_PEAK_NEXT,
    "Delta Marker Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:DELT{DeltaMarker}:MAX:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_MARKER_MINIMUM =
  {
    RSFPH_ATTR_REFERENCE_MARKER_MINIMUM,
    "Delta Marker Minimum",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:DELT{DeltaMarker}:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_MARKER_STATE =
  {
    RSFPH_ATTR_REFERENCE_MARKER_STATE,
    "Delta Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Trace}:DELT{DeltaMarker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_MARKER_AOFF =
  {
    RSFPH_ATTR_REFERENCE_MARKER_AOFF,
    "Delta Marker All Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:DELT:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_MARKER_POSITION =
  {
    RSFPH_ATTR_REFERENCE_MARKER_POSITION,
    "Delta Marker Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:DELT{DeltaMarker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2738028170,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_MARKER_REL_POSITION =
  {
    RSFPH_ATTR_REFERENCE_MARKER_REL_POSITION,
    "Delta Marker Relative Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:DELT{DeltaMarker}:X:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_REFERENCE_MARKER_AMPLITUDE =
  {
    RSFPH_ATTR_REFERENCE_MARKER_AMPLITUDE,
    "Delta Marker Amplitude",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:DELT{DeltaMarker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_ENABLED =
  {
    RSFPH_ATTR_MARKER_ENABLED,
    "Marker State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_AMPLITUDE =
  {
    RSFPH_ATTR_MARKER_AMPLITUDE,
    "Marker Amplitude",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_POSITION =
  {
    RSFPH_ATTR_MARKER_POSITION,
    "Marker Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_AOFF =
  {
    RSFPH_ATTR_MARKER_AOFF,
    "All Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_MODE =
  {
    RSFPH_ATTR_MARKER_MODE,
    "Marker Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngMarkerMode, NULL, NULL,
    "CALC:MARK:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_MARKER_MODE_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_SEARCH_PEAK =
  {
    RSFPH_ATTR_MARKER_SEARCH_PEAK,
    "Marker Search Peak Maximum",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_SEARCH_PEAK_NEXT =
  {
    RSFPH_ATTR_MARKER_SEARCH_PEAK_NEXT,
    "Marker Search Peak Next Maximum",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:MAX:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_SEARCH_PEAK_MIN =
  {
    RSFPH_ATTR_MARKER_SEARCH_PEAK_MIN,
    "Marker Search Peak Minimum",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_SEARCH_LIMITS_STATE =
  {
    RSFPH_ATTR_MARKER_SEARCH_LIMITS_STATE,
    "Marker Search Limits State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:X:SLIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_SEARCH_LIMITS_LEFT =
  {
    RSFPH_ATTR_MARKER_SEARCH_LIMITS_LEFT,
    "Marker Search Limits Left",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:X:SLIM:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_SEARCH_LIMITS_RIGHT =
  {
    RSFPH_ATTR_MARKER_SEARCH_LIMITS_RIGHT,
    "Marker Search Limits Right",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:X:SLIM:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_FREQUENCY_COUNTER_STATE =
  {
    RSFPH_ATTR_MARKER_FREQUENCY_COUNTER_STATE,
    "Frequency Counter State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:COUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_FREQUENCY_COUNTER_RESULT =
  {
    RSFPH_ATTR_MARKER_FREQUENCY_COUNTER_RESULT,
    "Frequency Counter Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:COUN:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_NOISE_STATE =
  {
    RSFPH_ATTR_MARKER_NOISE_STATE,
    "Marker Noise Measurement State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:NOIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_NOISE_RESULT =
  {
    RSFPH_ATTR_MARKER_NOISE_RESULT,
    "Marker Noise Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:NOIS:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_DEMOD_STATE =
  {
    RSFPH_ATTR_MARKER_DEMOD_STATE,
    "Marker Demodulation State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:DEM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_DEMOD_HOLDOFF =
  {
    RSFPH_ATTR_MARKER_DEMOD_HOLDOFF,
    "Marker Demodulation Holdoff",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngMarkerDemodHoldoff, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:DEM:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_DEMOD_TYPE =
  {
    RSFPH_ATTR_MARKER_DEMOD_TYPE,
    "Marker Demodulation Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngMarkerDemodType, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:DEM:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_MARKER_DEMOD_AM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_NDB_STATE =
  {
    RSFPH_ATTR_MARKER_NDB_STATE,
    "Marker N dB Down State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:NDBD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_NDB_VAL =
  {
    RSFPH_ATTR_MARKER_NDB_VAL,
    "Marker N dB Down Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:NDBD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_NDB_RESULT =
  {
    RSFPH_ATTR_MARKER_NDB_RESULT,
    "Marker N dB Down Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:NDBD:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MEAS_POW_SELECT =
  {
    RSFPH_ATTR_MEAS_POW_SELECT,
    "Power Select",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngMeasPowerSelect, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:POW:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_MEAS_POW_CPOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MEAS_POW_OFF =
  {
    RSFPH_ATTR_MEAS_POW_OFF,
    "Power Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:POW OFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MEAS_POW_STANDARD =
  {
    RSFPH_ATTR_MEAS_POW_STANDARD,
    "Power Standard",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:POW:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "3GPP WCDMA.chpstd",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MEAS_POW_STANDARD_CHECK =
  {
    RSFPH_ATTR_MEAS_POW_STANDARD_CHECK,
    "Power Standard Check",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:POW:PRES:CHEC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MEAS_POW_ADJUST_REFERENCE_LEVEL =
  {
    RSFPH_ATTR_MEAS_POW_ADJUST_REFERENCE_LEVEL,
    "Power Adjust Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:LEV:ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_LIMIT_CHECK_STATE =
  {
    RSFPH_ATTR_ACLR_LIMIT_CHECK_STATE,
    "ACLR Limit Check State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM:ACP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_RELATIVE_LIMIT_CHECK_STATE =
  {
    RSFPH_ATTR_ACLR_RELATIVE_LIMIT_CHECK_STATE,
    "ACLR Relative Limit Check State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM:ACP:ACH:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_RELATIVE_LIMIT_CHECK =
  {
    RSFPH_ATTR_ACLR_RELATIVE_LIMIT_CHECK,
    "ACLR Relative Limit Check",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngACLRRelativeLimitCheck, NULL,
    "CALC:LIM:ACP:ACH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ABSOLUTE_LIMIT_CHECK_STATE =
  {
    RSFPH_ATTR_ACLR_ABSOLUTE_LIMIT_CHECK_STATE,
    "ACLR Absolute Limit Check State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM:ACP:ACH:ABS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ABSOLUTE_LIMIT_CHECK =
  {
    RSFPH_ATTR_ACLR_ABSOLUTE_LIMIT_CHECK,
    "ACLR Absolute Limit Check",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngACLRAbsoluteLimit, NULL,
    "CALC:LIM:ACP:ACH:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_RESULT_UNIT =
  {
    RSFPH_ATTR_ACLR_RESULT_UNIT,
    "ACLR Result Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngACLRUnits, NULL, NULL,
    "CALC:MARK:FUNC:ACP:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_ACLR_UNITS_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_NUMBER_OF_ADJACENT_CHANNELS =
  {
    RSFPH_ATTR_ACLR_NUMBER_OF_ADJACENT_CHANNELS,
    "ACLR Number Of Adjacent Channels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsfph_rngACLRNumberOfAdjacentChannels, NULL,
    "POW:ACH:ACP",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_CHANNEL_MODE =
  {
    RSFPH_ATTR_ACLR_CHANNEL_MODE,
    "ACLR Channel Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngAbsRel, NULL, NULL,
    "POW:ACH:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_CHANNEL_BANDWIDTH =
  {
    RSFPH_ATTR_ACLR_CHANNEL_BANDWIDTH,
    "ACLR Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:ACH:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ADJACENT_CHANNEL_BANDWIDTH =
  {
    RSFPH_ATTR_ACLR_ADJACENT_CHANNEL_BANDWIDTH,
    "ACLR Adjacent Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:ACH:BAND:ACH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ADJACENT_CHANNEL_SPACING =
  {
    RSFPH_ATTR_ACLR_ADJACENT_CHANNEL_SPACING,
    "ACLR Adjacent Channel Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:ACH:SPAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ADJUST_REFERENCE_LEVEL =
  {
    RSFPH_ATTR_ACLR_ADJUST_REFERENCE_LEVEL,
    "ACLR Adjust Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:ACH:PRES:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_COUNT =
  {
    RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_COUNT,
    "ACLR Transmission Channel Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsfph_rngACLRTransmissionChannelCount, NULL,
    "POW:ACH:TXCH:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_REFERENCE_CHANNEL_AUTOMATIC_SELECTION =
  {
    RSFPH_ATTR_ACLR_REFERENCE_CHANNEL_AUTOMATIC_SELECTION,
    "ACLR Reference Channel Automatic Selection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngACLRReferenceChannelAutomaticSelection, NULL, NULL,
    "POW:ACH:REF:TXCH:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_ADJ_RCHAN_AUTO_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_AS_REFERENCE_CHANNEL =
  {
    RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_AS_REFERENCE_CHANNEL,
    "ACLR Transmission Channel As Reference Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsfph_rngACLRTransmissionChannelCount, NULL,
    "POW:ACH:REF:TXCH:MAN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_TOTAL_TX_CHANNEL_POWER =
  {
    RSFPH_ATTR_ACLR_TOTAL_TX_CHANNEL_POWER,
    "ACLR Total TX Channel Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TXP:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_SPACING =
  {
    RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_SPACING,
    "ACLR Transmission Channel Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:ACH:SPAC:CHAN{TXChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ALTERNATE_CHANNEL_BANDWIDTH =
  {
    RSFPH_ATTR_ACLR_ALTERNATE_CHANNEL_BANDWIDTH,
    "ACLR Alternate Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:ACH:BAND:ALT{AlternateChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ALTERNATE_CHANNEL_SPACING =
  {
    RSFPH_ATTR_ACLR_ALTERNATE_CHANNEL_SPACING,
    "ACLR Alternate Channel Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:ACH:SPAC:ALT{AlternateChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ALTERNATE_RELATIVE_LIMIT_CHECK_STATE =
  {
    RSFPH_ATTR_ACLR_ALTERNATE_RELATIVE_LIMIT_CHECK_STATE,
    "ACLR Alternate Relative Limit Check State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM:ACP:ALT{AlternateChannel}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ALTERNATE_RELATIVE_LIMIT_CHECK =
  {
    RSFPH_ATTR_ACLR_ALTERNATE_RELATIVE_LIMIT_CHECK,
    "ACLR Alternate Relative Limit Check",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngACLRAlternateRelativeLimitCheck, NULL,
    "CALC:LIM:ACP:ALT{AlternateChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ALTERNATE_ABSOLUTE_LIMIT_CHECK_STATE =
  {
    RSFPH_ATTR_ACLR_ALTERNATE_ABSOLUTE_LIMIT_CHECK_STATE,
    "ACLR Alternate Absolute Limit Check State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM:ACP:ALT{AlternateChannel}:ABS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ACLR_ALTERNATE_ABSOLUTE_LIMIT_CHECK =
  {
    RSFPH_ATTR_ACLR_ALTERNATE_ABSOLUTE_LIMIT_CHECK,
    "ACLR Alternate Absolute Limit Check",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngACLRAlternateAbsoluteLimitCheck, NULL,
    "CALC:LIM:ACP:ALT{AlternateChannel}:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CHANNEL_POWER_BANDWIDTH =
  {
    RSFPH_ATTR_CHANNEL_POWER_BANDWIDTH,
    "Channel Power Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:CPOW:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.84e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CHANNEL_POWER_DISPLAY_MODE =
  {
    RSFPH_ATTR_CHANNEL_POWER_DISPLAY_MODE,
    "Channel Power Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngChannelPowerDisplayMode, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:CPOW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_DISPLAY_MODE_CLR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CHANNEL_POWER_UNIT =
  {
    RSFPH_ATTR_CHANNEL_POWER_UNIT,
    "Channel Power Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngChannelPowerUnits, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:CPOW:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_CHANNEL_POWER_UNITS_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CHANNEL_POWER_PER_HERTZ =
  {
    RSFPH_ATTR_CHANNEL_POWER_PER_HERTZ,
    "Channel Power Per Hertz",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:POW:RES:PHZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_HARMONIC_DISTORTION_STATE =
  {
    RSFPH_ATTR_HARMONIC_DISTORTION_STATE,
    "Harmonic Distortion State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:HARM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_HARMONIC_DISTORTION_NO_OF_HARMONICS =
  {
    RSFPH_ATTR_HARMONIC_DISTORTION_NO_OF_HARMONICS,
    "Harmonic Distortion No Of Harmonics",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsfph_rngHarmonicDistortionNoOfHarmonics, NULL,
    "CALC:MARK:FUNC:HARM:NHAR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_HARMONIC_DISTORTION_ADJUST_SETTINGS =
  {
    RSFPH_ATTR_HARMONIC_DISTORTION_ADJUST_SETTINGS,
    "Harmonic Distortion Adjust Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:HARM:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MODULATION_DEPTH_STATE =
  {
    RSFPH_ATTR_MODULATION_DEPTH_STATE,
    "Modulation Depth State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:MDEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MODULATION_DEPTH_RESULT =
  {
    RSFPH_ATTR_MODULATION_DEPTH_RESULT,
    "Modulation Depth Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:MDEP:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SPECTRUM_EMISSION_MASK_PRESET =
  {
    RSFPH_ATTR_SPECTRUM_EMISSION_MASK_PRESET,
    "Spectrum Emission Mask Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ESP:PRES:SETT ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SPECTRUM_EMISSION_MASK_STANDARD =
  {
    RSFPH_ATTR_SPECTRUM_EMISSION_MASK_STANDARD,
    "Spectrum Emission Mask Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ESP:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "W-CDMA 3GPP.semstd",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SPECTRUM_EMISSION_MASK_SWEEP_MODE =
  {
    RSFPH_ATTR_SPECTRUM_EMISSION_MASK_SWEEP_MODE,
    "Spectrum Emission Mask Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngSEMSweepMode, NULL, NULL,
    "SWE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_SEM_SWEEP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_OCCUPIED_BANDWIDTH_CHANNEL_BANDWIDTH =
  {
    RSFPH_ATTR_OCCUPIED_BANDWIDTH_CHANNEL_BANDWIDTH,
    "Occupied Bandwidth Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:OBW:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.84e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_OCCUPIED_BANDWIDTH_POWER_PERCENTAGE =
  {
    RSFPH_ATTR_OCCUPIED_BANDWIDTH_POWER_PERCENTAGE,
    "Occupied Bandwidth Power Percentage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngOccupiedBandwidthPowerPercentage, NULL,
    "CALC:MARK:FUNC:OBW:BAND:PCT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    99.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TDMA_BURST_LENGTH =
  {
    RSFPH_ATTR_TDMA_BURST_LENGTH,
    "TDMA Burst Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TDMA:BURS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    470e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ISOTROPIC_ANTENNA_STATE =
  {
    RSFPH_ATTR_ISOTROPIC_ANTENNA_STATE,
    "Isotropic Antenna State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:ANT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ISOTROPIC_ANTENNA_DIRECTION =
  {
    RSFPH_ATTR_ISOTROPIC_ANTENNA_DIRECTION,
    "Isotropic Antenna Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngIsotropicAntennaDirection, NULL, NULL,
    "INP:ANT:MEAS",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_DIRECTION_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TOI_MEASUREMENT_ENABLED =
  {
    RSFPH_ATTR_TOI_MEASUREMENT_ENABLED,
    "TOI Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TOI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TOI_SEARCH =
  {
    RSFPH_ATTR_TOI_SEARCH,
    "TOI Search",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TOI:SEAR ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_QUERY_TOI_RESULT =
  {
    RSFPH_ATTR_QUERY_TOI_RESULT,
    "Query TOI Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TOI:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_FREQ_DISP_MODE =
  {
    RSFPH_ATTR_MARKER_FREQ_DISP_MODE,
    "Marker Frequency Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngMarkerFreqDispMode, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_MARKER_FREQ_DISP_MODE_FREQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_TO_CENTER =
  {
    RSFPH_ATTR_MARKER_TO_CENTER,
    "Marker To Center",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_TO_REFERENCE =
  {
    RSFPH_ATTR_MARKER_TO_REFERENCE,
    "Marker To Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Trace}:MARK{Marker}:FUNC:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MARKER_TRACKING_ENABLED =
  {
    RSFPH_ATTR_MARKER_TRACKING_ENABLED,
    "Marker Tracking Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:STR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DLINE_STATE =
  {
    RSFPH_ATTR_DLINE_STATE,
    "Display Line State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:DLIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DLINE_POSITION =
  {
    RSFPH_ATTR_DLINE_POSITION,
    "Display Line Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DLIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_STATE =
  {
    RSFPH_ATTR_LIMIT_STATE,
    "Limit Check State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM{Limit}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_HORIZONTAL_UNIT =
  {
    RSFPH_ATTR_LIMIT_HORIZONTAL_UNIT,
    "Limit Line Horizontal Unit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngLimitXUnit, NULL, NULL,
    "CALC:LIM{Limit}:UNIT:X?",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_LIMIT_X_UNIT_HZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_VERTICAL_UNIT =
  {
    RSFPH_ATTR_LIMIT_VERTICAL_UNIT,
    "Limit Line Vertical Unit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngLimitYUnit, NULL, NULL,
    "CALC:LIM{Limit}:UNIT?",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_LIMIT_Y_UNIT_DB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_BEEP =
  {
    RSFPH_ATTR_LIMIT_BEEP,
    "Limit Line Audio Beep",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM{Limit}:BEEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_COMMENT =
  {
    RSFPH_ATTR_LIMIT_COMMENT,
    "Limit Line Comment",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:LIM{Limit}:COMM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_DELETE =
  {
    RSFPH_ATTR_LIMIT_DELETE,
    "Limit Line Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:LIM{Limit}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_CHECK_RESULT =
  {
    RSFPH_ATTR_LIMIT_CHECK_RESULT,
    "Limit Check Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:LIM{Limit}:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_LOWER_SELECT =
  {
    RSFPH_ATTR_LIMIT_LOWER_SELECT,
    "Limit Line Lower Select",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:LIM{Limit}:LOW:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "GSM_Lower.rellim",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_LOWER_THRESHOLD =
  {
    RSFPH_ATTR_LIMIT_LOWER_THRESHOLD,
    "Limit Line Lower Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{Limit}:LOW:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_UPPER_SELECT =
  {
    RSFPH_ATTR_LIMIT_UPPER_SELECT,
    "Limit Line Upper Select",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:LIM{Limit}:UPP:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "GSM_Upper.rellim",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LIMIT_UPPER_THRESHOLD =
  {
    RSFPH_ATTR_LIMIT_UPPER_THRESHOLD,
    "Limit Line Upper Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{Limit}:UPP:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TFAC_SEL_NAME =
  {
    RSFPH_ATTR_TFAC_SEL_NAME,
    "Transducer Factor Select Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:TRAN{Transducer}:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "FSH-Z38.sectrd",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TFAC_UNIT =
  {
    RSFPH_ATTR_TFAC_UNIT,
    "Transducer Factor Unit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngAmplitudeUnits, NULL, NULL,
    "CORR:TRAN{Transducer}:UNIT?",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_AMPLITUDE_UNITS_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TFAC_STATE =
  {
    RSFPH_ATTR_TFAC_STATE,
    "Transducer Factor State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CORR:TRAN{Transducer}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_TRANSDUCER_FACTOR_ISOTROPIC_ANTENNA =
  {
    RSFPH_ATTR_TRANSDUCER_FACTOR_ISOTROPIC_ANTENNA,
    "Transducer Factor Isotropic Antenna",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CORR:TRAN{Transducer}:ISOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_POWER_SOURCE =
  {
    RSFPH_ATTR_SYST_POWER_SOURCE,
    "System Power Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngSystemPowerSource, NULL, NULL,
    "SYST:POW:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_POWER_SOURCE_MAINS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_BATT_POWER =
  {
    RSFPH_ATTR_SYST_BATT_POWER,
    "System Battery Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:POW:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_PRESET =
  {
    RSFPH_ATTR_SYST_PRESET,
    "System Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_PRESET_MODE =
  {
    RSFPH_ATTR_SYSTEM_PRESET_MODE,
    "System Preset Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngSystPresetMode, NULL, NULL,
    "SYST:PRES:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_SYST_PRESET_MODE_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_PRESET_USER =
  {
    RSFPH_ATTR_SYST_PRESET_USER,
    "System Preset User",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:PRES:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_FACTORY_PRESET =
  {
    RSFPH_ATTR_SYST_FACTORY_PRESET,
    "System Factory Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES:FACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_REBOOT =
  {
    RSFPH_ATTR_SYST_REBOOT,
    "System Reboot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_SHUTDOWN =
  {
    RSFPH_ATTR_SYST_SHUTDOWN,
    "System Shutdown",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:SHUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_VERSION =
  {
    RSFPH_ATTR_SYST_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_ACCESSORY_AUTO =
  {
    RSFPH_ATTR_SYST_ACCESSORY_AUTO,
    "System Accessory Auto Detection",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:ACC:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_ACCESSORY =
  {
    RSFPH_ATTR_SYST_ACCESSORY,
    "System Accessory",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngSystemAccessory, NULL, NULL,
    "SYST:ACC?",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_SYST_ACCESSORY_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_SPEAKER =
  {
    RSFPH_ATTR_SYST_SPEAKER,
    "Speaker Volume",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngSpeakerVolume, NULL,
    "SYST:AUD:VOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_BEEPER =
  {
    RSFPH_ATTR_SYST_BEEPER,
    "Beeper Volume",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngSpeakerVolume, NULL,
    "SYST:BEEP:VOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_KEYBOARD_CLICK =
  {
    RSFPH_ATTR_SYST_KEYBOARD_CLICK,
    "Keyboard Click Volume",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngSpeakerVolume, NULL,
    "SYST:BEEP:KEY:VOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_BEEPER_ON_POWER_OVERLOAD =
  {
    RSFPH_ATTR_BEEPER_ON_POWER_OVERLOAD,
    "Beeper On Power Overload",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:BEEP:POV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_BNC_MODE =
  {
    RSFPH_ATTR_SYST_BNC_MODE,
    "System BNC Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngBNCMode, NULL, NULL,
    "SYST:BNC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_BNC_MODE_TRIGGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_CAPTURE_MODE =
  {
    RSFPH_ATTR_SYST_CAPTURE_MODE,
    "System Capture Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngCaptureMode, NULL, NULL,
    "SYST:CAPT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_CAPTURE_MODE_SCREEN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_CAPTURE_COUNTER =
  {
    RSFPH_ATTR_SYST_CAPTURE_COUNTER,
    "System Capture Counter",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:CAPT:COUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_CAPTURE_DATASET_STATE =
  {
    RSFPH_ATTR_SYST_CAPTURE_DATASET_STATE,
    "System Capture Dataset State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:CAPT:DAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_CAPTURE_SCREEN_STATE =
  {
    RSFPH_ATTR_SYST_CAPTURE_SCREEN_STATE,
    "System Capture Screen State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:CAPT:SCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_CAPTURE_GPX_INFORMATION_STATE =
  {
    RSFPH_ATTR_SYST_CAPTURE_GPX_INFORMATION_STATE,
    "System Capture GPX Information State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:CAPT:GPX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_INSTRUMENT_MODE =
  {
    RSFPH_ATTR_INSTRUMENT_MODE,
    "Instrument Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngInstrumentMode, NULL, NULL,
    "INST",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_INSTRUMENT_SAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_PAD_TYPE =
  {
    RSFPH_ATTR_SYST_PAD_TYPE,
    "System Pad Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngSystemPadType, NULL, NULL,
    "INP:IMP:PAD",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_PAD_TYPE_RAZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_DEVICE_MATERIAL_NUMBER =
  {
    RSFPH_ATTR_SYSTEM_DEVICE_MATERIAL_NUMBER,
    "System Device Material Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:IDEN:MAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_DEVICE_SERIAL_NUMBER =
  {
    RSFPH_ATTR_SYSTEM_DEVICE_SERIAL_NUMBER,
    "System Device Serial Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:IDEN:SER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_FREE_RAM =
  {
    RSFPH_ATTR_SYSTEM_FREE_RAM,
    "System Free RAM",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:MEM:FREE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_TOTAL_RAM =
  {
    RSFPH_ATTR_SYSTEM_TOTAL_RAM,
    "System Total RAM",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:MEM:TOT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_USED_RAM =
  {
    RSFPH_ATTR_SYSTEM_USED_RAM,
    "System Used RAM",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:MEM:USED?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_FREE_STORAGE =
  {
    RSFPH_ATTR_SYSTEM_FREE_STORAGE,
    "System Free Storage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:STOR:FREE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_TOTAL_STORAGE =
  {
    RSFPH_ATTR_SYSTEM_TOTAL_STORAGE,
    "System Total Storage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:STOR:TOT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_USED_STORAGE =
  {
    RSFPH_ATTR_SYSTEM_USED_STORAGE,
    "System Used Storage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:STOR:USED?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_SOEVENT_STATE =
  {
    RSFPH_ATTR_SYST_SOEVENT_STATE,
    "System Saving Event State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:SOEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_SOEVENT_DISTANCE =
  {
    RSFPH_ATTR_SYST_SOEVENT_DISTANCE,
    "System Saving Event Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:SOEV:DIST:INT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_SOEVENT_LIMIT_MODE =
  {
    RSFPH_ATTR_SYST_SOEVENT_LIMIT_MODE,
    "System Saving Event Limit Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngSystSOEventLimitMode, NULL, NULL,
    "SYST:SOEV:LIM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_SYST_SOEVENT_LIMIT_MODE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_SOEVENT_STOR_DEV =
  {
    RSFPH_ATTR_SYST_SOEVENT_STOR_DEV,
    "System Saving Event Storage Device",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngSystSOEventStorageDevice, NULL, NULL,
    "SYST:SOEV:REC:STOR",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_SYST_SOEVENT_STOR_SDCARD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_SOEVENT_SOURCE =
  {
    RSFPH_ATTR_SYST_SOEVENT_SOURCE,
    "System Saving Event Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngSystSOEventSource, NULL, NULL,
    "SYST:SOEV:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_SYST_SOEVENT_SOURCE_TIME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_SOEVENT_TIME_INTERVAL =
  {
    RSFPH_ATTR_SYST_SOEVENT_TIME_INTERVAL,
    "System Saving Event Time Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:SOEV:TIME:INT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_NETWORK_MAC =
  {
    RSFPH_ATTR_SYST_NETWORK_MAC,
    "System Network MAC Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:ETH?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_NETWORK_GATEWAY =
  {
    RSFPH_ATTR_SYST_NETWORK_GATEWAY,
    "System Network Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:GAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_NETWORK_SUBMASK =
  {
    RSFPH_ATTR_SYST_NETWORK_SUBMASK,
    "System Network Submask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:LAN:SUBM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_NETWORK_IP_ADDRESS =
  {
    RSFPH_ATTR_SYST_NETWORK_IP_ADDRESS,
    "System Network IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "172.76.68.24",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_NETWORK_DHCP =
  {
    RSFPH_ATTR_SYST_NETWORK_DHCP,
    "System Network DHCP",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:DHCP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_NETWORK_PORT =
  {
    RSFPH_ATTR_SYST_NETWORK_PORT,
    "System Network Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:COMM:SOCK:PORT",
    // Defaults I32, I64, Float, Bool, String
    5555,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_GPS_RECEIVER_STATE =
  {
    RSFPH_ATTR_GPS_RECEIVER_STATE,
    "GPS Receiver State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:POS:GPS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_GPS_RECEIVER_CONNECTED =
  {
    RSFPH_ATTR_GPS_RECEIVER_CONNECTED,
    "GPS Receiver Connected",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:POS:GPS:CONN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_GPS_RECEIVER_CORRECTION_FREQUENCY =
  {
    RSFPH_ATTR_GPS_RECEIVER_CORRECTION_FREQUENCY,
    "GPS Receiver Correction Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:POS:GPS:CORR:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_GPS_RECEIVER_SATELLITES =
  {
    RSFPH_ATTR_GPS_RECEIVER_SATELLITES,
    "GPS Receiver Satellites",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:POS:GPS:SAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_GPS_RECEIVER_QUALITY =
  {
    RSFPH_ATTR_GPS_RECEIVER_QUALITY,
    "GPS Receiver Quality",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngGPSReceiverQuality, NULL, NULL,
    "SYST:POS:GPS:QUAL?",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_GPS_RECEIVER_QUALITY_INSUFFICIENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_GPS_RECEIVER_LATITUDE =
  {
    RSFPH_ATTR_GPS_RECEIVER_LATITUDE,
    "GPS Receiver Latitude",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:POS:LAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "48,7,40.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_GPS_RECEIVER_LONGITUDE =
  {
    RSFPH_ATTR_GPS_RECEIVER_LONGITUDE,
    "GPS Receiver Longitude",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:POS:LONG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "11,36,46.2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_GPS_RECEIVER_ALTITUDE =
  {
    RSFPH_ATTR_GPS_RECEIVER_ALTITUDE,
    "GPS Receiver Altitude",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SYST:POS:ALT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    554.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_GPS_RECEIVER_VALID_POSITION =
  {
    RSFPH_ATTR_GPS_RECEIVER_VALID_POSITION,
    "GPS Receiver Valid Position",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:POS:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ROSC_SOURCE =
  {
    RSFPH_ATTR_ROSC_SOURCE,
    "Reference Oscillator Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngROSCSource, NULL, NULL,
    "ROSC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_ROSC_SOURCE_INT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISP_ADJUST =
  {
    RSFPH_ATTR_DISP_ADJUST,
    "Display Adjust",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:TRAC:Y:ADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISP_REF_POSITION =
  {
    RSFPH_ATTR_DISP_REF_POSITION,
    "Display Reference Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngDisplayReferencePosition, NULL,
    "DISP:TRAC:Y:RPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISP_LOG_RANGE =
  {
    RSFPH_ATTR_DISP_LOG_RANGE,
    "Display Log Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngDISPAmplitudeRange, NULL,
    "DISP:TRAC:Y",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISPLAY_DEVIATION_PER_DIVISION =
  {
    RSFPH_ATTR_DISPLAY_DEVIATION_PER_DIVISION,
    "Display Deviation Per Division",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:TRAC:Y:PDIV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISP_COL_PRESET =
  {
    RSFPH_ATTR_DISP_COL_PRESET,
    "Display Color Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CMAP:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISP_BRIGHTNESS =
  {
    RSFPH_ATTR_DISP_BRIGHTNESS,
    "Display Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngDisplayBrightness, NULL,
    "DISP:BRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISP_COLOR =
  {
    RSFPH_ATTR_DISP_COLOR,
    "Display Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngDisplayColor, NULL, NULL,
    "DISP:CMAP",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_DISP_COL_COLOR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISP_DATE_FORMAT =
  {
    RSFPH_ATTR_DISP_DATE_FORMAT,
    "Display Date Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngDisplayDateFormat, NULL, NULL,
    "DISP:DATE:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_DISP_DATE_FORMAT_DDMM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISPLAY_UNIT_LENGTH =
  {
    RSFPH_ATTR_DISPLAY_UNIT_LENGTH,
    "Display Unit Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngDisplayUnitLength, NULL, NULL,
    "UNIT:LENG",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_UNIT_LENGTH_METER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DISPLAY_REMOTE_OPERATION_ENABLED =
  {
    RSFPH_ATTR_DISPLAY_REMOTE_OPERATION_ENABLED,
    "Display Remote Operation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:DISP:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_HCOPY_PRINT =
  {
    RSFPH_ATTR_HCOPY_PRINT,
    "Hcopy Print",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_HCOPY_PRINT_SCREEN =
  {
    RSFPH_ATTR_HCOPY_PRINT_SCREEN,
    "Hcopy Print Screen",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_HCOPY_FILE_NAME =
  {
    RSFPH_ATTR_HCOPY_FILE_NAME,
    "Hcopy File Name",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test.png",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_HCOPY_DEVICE_LANG_OUT_FORMAT =
  {
    RSFPH_ATTR_HCOPY_DEVICE_LANG_OUT_FORMAT,
    "Hcopy Device Language Output Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngHcopyDeviceLang, NULL, NULL,
    "HCOP:DEV:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_HCOPY_DEVICE_LANG_JPG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_RECALL =
  {
    RSFPH_ATTR_FILE_RECALL,
    "File Recall",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:LOAD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsfph_FileStateSpecialFormat_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_SAVE =
  {
    RSFPH_ATTR_FILE_SAVE,
    "File Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:STOR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsfph_FileStateSpecialFormat_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_MANAGER_EDIT_PATH =
  {
    RSFPH_ATTR_FILE_MANAGER_EDIT_PATH,
    "File Manager Edit Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\\Public",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_MANAGER_DELETE =
  {
    RSFPH_ATTR_FILE_MANAGER_DELETE,
    "File Manager Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_MANAGER_MAKE_DIR =
  {
    RSFPH_ATTR_FILE_MANAGER_MAKE_DIR,
    "File Manager Make Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_MANAGER_CREATE_FILE =
  {
    RSFPH_ATTR_FILE_MANAGER_CREATE_FILE,
    "File Manager Create File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_MANAGER_DELETE_DIR =
  {
    RSFPH_ATTR_FILE_MANAGER_DELETE_DIR,
    "File Manager Delete Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_MANAGER_CURRENT_DIR_FILE_CATALOG =
  {
    RSFPH_ATTR_FILE_MANAGER_CURRENT_DIR_FILE_CATALOG,
    "File Manager Current Directory File Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_MANAGER_CURRENT_DIR_CATALOG =
  {
    RSFPH_ATTR_FILE_MANAGER_CURRENT_DIR_CATALOG,
    "File Manager Current Directory Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CAT:DIR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_MANAGER_LOCK =
  {
    RSFPH_ATTR_FILE_MANAGER_LOCK,
    "File Manager Lock",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:SET:LOCK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "HcopyTest.png",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_FILE_MANAGER_UNLOCK =
  {
    RSFPH_ATTR_FILE_MANAGER_UNLOCK,
    "File Manager Unlock",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:SET:UNL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Dataset001.set",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_MEAS_ABORT =
  {
    RSFPH_ATTR_MEAS_ABORT,
    "Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_INIT =
  {
    RSFPH_ATTR_INIT,
    "Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT;*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_INIT_WITHOUT_OPC =
  {
    RSFPH_ATTR_INIT_WITHOUT_OPC,
    "Initiate Without OPC",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_INIT_SW_TRIGGER =
  {
    RSFPH_ATTR_INIT_SW_TRIGGER,
    "Send Software Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*TRG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_ZERO =
  {
    RSFPH_ATTR_PWM_ZERO,
    "PWM Zero",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:PMET:ZERO:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_REFERENCE_VALUE =
  {
    RSFPH_ATTR_PWM_REFERENCE_VALUE,
    "PWM Reference Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:PMET:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_REFERENCE_VALUE_OFFSET =
  {
    RSFPH_ATTR_PWM_REFERENCE_VALUE_OFFSET,
    "PWM Reference Value Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:PMET:REL:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_MEASURE_TO_REFERENCE =
  {
    RSFPH_ATTR_PWM_MEASURE_TO_REFERENCE,
    "PWM Measure To Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:PMET:REL:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_UNIT =
  {
    RSFPH_ATTR_PWM_UNIT,
    "PWM Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngPmetUnit, NULL, NULL,
    "UNIT1:PMET:POW",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_PMET_UNIT_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_FREQUENCY =
  {
    RSFPH_ATTR_PWM_FREQUENCY,
    "PWM Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PMET:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_CHANNEL_BW =
  {
    RSFPH_ATTR_PWM_CHANNEL_BW,
    "PWM Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:PMET:CPOW:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_VIDEO_BANDWIDTH =
  {
    RSFPH_ATTR_PWM_VIDEO_BANDWIDTH,
    "PWM Video Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:PMET:PRES:BAND:VID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_MEASUREMENT_TIME =
  {
    RSFPH_ATTR_PWM_MEASUREMENT_TIME,
    "PWM Measurement Time",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngPmetMeasTime, NULL, NULL,
    "PMET:MTIM",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_PMET_MEASTIME_NORM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_STANDARD_STATE =
  {
    RSFPH_ATTR_PWM_STANDARD_STATE,
    "PWM Standard State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:PMET:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_STANDARD_SELECT =
  {
    RSFPH_ATTR_PWM_STANDARD_SELECT,
    "PWM Standard Select",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngPmetStandardSelect, NULL, NULL,
    "CALC:PMET:PRES:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_PMET_STANDARD_GSM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_FORWARD_POWER_DISPLAY =
  {
    RSFPH_ATTR_PWM_FORWARD_POWER_DISPLAY,
    "PWM Forward Power Display",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngPWMForwardPowerDisplay, NULL, NULL,
    "PMET:DET",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_PMET_DETECTOR_AVERAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PWM_WAVELENGTH =
  {
    RSFPH_ATTR_PWM_WAVELENGTH,
    "PWM Wavelength",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "PMET:WAV",
    // Defaults I32, I64, Float, Bool, String
    1550,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PMET_FETCH =
  {
    RSFPH_ATTR_PMET_FETCH,
    "PWM Fetch Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC1:PMET?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PMET_FETCH_REFLECTED =
  {
    RSFPH_ATTR_PMET_FETCH_REFLECTED,
    "PWM Fetch Reflected Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC2:PMET?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_BANDWIDTH =
  {
    RSFPH_ATTR_ANALOG_MODULATION_BANDWIDTH,
    "Analog Modulation Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:BAND:DEM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_MEASUREMENT_TIME =
  {
    RSFPH_ATTR_ANALOG_MODULATION_MEASUREMENT_TIME,
    "Analog Modulation Measurement Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:MTIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_DEEMPHASIS_ENABLED =
  {
    RSFPH_ATTR_ANALOG_MODULATION_DEEMPHASIS_ENABLED,
    "Analog Modulation Deemphasis Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FILT:DEMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_DEEMPHASIS_TIME_CONSTANT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_DEEMPHASIS_TIME_CONSTANT,
    "Analog Modulation Deemphasis Time Constant",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FILT:DEMP:TCON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_AUDIO_LOWPASS_FILTER =
  {
    RSFPH_ATTR_ANALOG_MODULATION_AUDIO_LOWPASS_FILTER,
    "Analog Modulation Audio Lowpass Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngAnalogModulationAudioLowpassFilter, NULL, NULL,
    "FILT:LPAS",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_LOWPASS_FILTER_DBW_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_REFERENCE_DEVIATION =
  {
    RSFPH_ATTR_ANALOG_MODULATION_REFERENCE_DEVIATION,
    "Analog Modulation Reference Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngAnalogModulationReferenceDeviation, NULL,
    "ADEM:BAND:RDEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_SELECT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_SELECT,
    "Analog Modulation Limit Line Select",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:ADEM:LIM:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "GSM.aamlim",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_DELETE =
  {
    RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_DELETE,
    "Analog Modulation Limit Line Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:ADEM:LIM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_CHECK_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_CHECK_RESULT,
    "Analog Modulation Limit Line Check Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:ADEM:LIM:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_RESULT_DISPLAY =
  {
    RSFPH_ATTR_ANALOG_MODULATION_RESULT_DISPLAY,
    "Analog Modulation Result Display",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngAnalogModulationResultDisplay, NULL, NULL,
    "CALC:FEED",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_AM_TIME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsfph_quotedInt_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_FM_OFFSET =
  {
    RSFPH_ATTR_ANALOG_MODULATION_FM_OFFSET,
    "Analog Modulation FM Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:FM:OFFS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_CARRIER_POWER_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_CARRIER_POWER_RESULT,
    "Analog Modulation Carrier Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:CARR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_SINAD_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_SINAD_RESULT,
    "Analog Modulation SINAD Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:SIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_THD_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_THD_RESULT,
    "Analog Modulation THD Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:THD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_AUDIO_FREQUENCY_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_AUDIO_FREQUENCY_RESULT,
    "Analog Modulation Audio Frequency Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:AFR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_FREQUENCY_ERROR_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_FREQUENCY_ERROR_RESULT,
    "Analog Modulation Frequency Error Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:FERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_AM_MODULATION_INDEX_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_AM_MODULATION_INDEX_RESULT,
    "Analog Modulation AM Modulation Index Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:MIND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_AM_MAX_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_AM_MAX_RESULT,
    "Analog Modulation AM Max Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:AM? PPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_AM_MIN_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_AM_MIN_RESULT,
    "Analog Modulation AM Min Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:AM? MPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_AM_AVERAGE_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_AM_AVERAGE_RESULT,
    "Analog Modulation AM Average Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:AM? MIDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_AM_RMS_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_AM_RMS_RESULT,
    "Analog Modulation AM RMS Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:AM? RMS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_AM_MODULATION_DEPTH_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_AM_MODULATION_DEPTH_RESULT,
    "Analog Modulation AM Modulation Depth Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:MDEP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_FM_MAX_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_FM_MAX_RESULT,
    "Analog Modulation FM Max Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:FM? PPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_FM_MIN_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_FM_MIN_RESULT,
    "Analog Modulation FM Min Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:FM? MPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_FM_AVERAGE_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_FM_AVERAGE_RESULT,
    "Analog Modulation FM Average Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:FM? MIDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_FM_RMS_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_FM_RMS_RESULT,
    "Analog Modulation FM RMS Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:FM? RMS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ANALOG_MODULATION_FM_MODULATION_RATE_RESULT =
  {
    RSFPH_ATTR_ANALOG_MODULATION_FM_MODULATION_RATE_RESULT,
    "Analog Modulation FM Modulation Rate Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:ADEM:MRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_SELECT_MEASUREMENT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_SELECT_MEASUREMENT,
    "Digital Demodulation Select Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngDigitalDemodulationModulation, NULL, NULL,
    "DDEM",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_DDEM_FSK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_SYMBOL_RATE =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_SYMBOL_RATE,
    "Digital Demodulation Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DDEM:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_NUMBER_OF_SYMBOLS =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_NUMBER_OF_SYMBOLS,
    "Digital Demodulation Number of Symbols",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DDEM:TIME",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_MEASUREMENT_FILTER =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_MEASUREMENT_FILTER,
    "Digital Demodulation Measurement Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:FILT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_FILTER_TYPE =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_FILTER_TYPE,
    "Digital Demodulation Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngDigitalDemodulationFilterType, NULL, NULL,
    "DDEM:FILT:NAME",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_FILTER_GAUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_FILTER_ROLL_OFF_FACTOR =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_FILTER_ROLL_OFF_FACTOR,
    "Digital Demodulation Filter Roll-off Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngDigitalDemodulationFilterRolloffFactor, NULL,
    "DDEM:FILT:ALPH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_BURST_STATE_ENABLED =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_BURST_STATE_ENABLED,
    "Digital Demodulation Burst State Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:BURS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_FSK_FREQUENCY_DEVIATION =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_FSK_FREQUENCY_DEVIATION,
    "Digital Demodulation FSK Frequency Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngFSKFrequencyDeviation, NULL,
    "CALC:FSK:DEV:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_STANDARD =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_STANDARD,
    "Digital Demodulation Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngDigitalDemodulationStandard, NULL, NULL,
    "DDEM:PRES:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_DIGITAL_DEMODULATION_STANDARD_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULAITON_FSK_OFFSET =
  {
    RSFPH_ATTR_DIGITAL_DEMODULAITON_FSK_OFFSET,
    "Digital Demodulaiton FSK Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DDEM:FSK:OFFS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    00,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_RESULT_DISPLAY =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_RESULT_DISPLAY,
    "Digital Demodulation Result Display",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngDigitalDemodulationResultDisplay, NULL, NULL,
    "CALC:FEED",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_MEAS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsfph_quotedInt_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_POWER_RESULT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_POWER_RESULT,
    "Digital Demodulation Carrier Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:DDEM:CARR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_FREQUENCY_DRIFT_RESULT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_FREQUENCY_DRIFT_RESULT,
    "Digital Demodulation Carrier Frequency Drift Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:DDEM:CFDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_FREQUENCY_ERROR_RESULT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_FREQUENCY_ERROR_RESULT,
    "Digital Demodulation Carrier Frequency Error Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:DDEM:CFER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_MODULAITON_DEPTH_RESULT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_MODULAITON_DEPTH_RESULT,
    "Digital Demodulation Modulation Depth Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:DDEM:MDEP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_FREQUENCY_DEVIATION_RESULT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_FREQUENCY_DEVIATION_RESULT,
    "Digital Demodulation Frequency Deviation Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:DDEM:MDEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_MAGNITUDE_ERROR_RESULT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_MAGNITUDE_ERROR_RESULT,
    "Digital Demodulation Magnitude Error Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:DDEM:MERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_MODULATION_INDEX_RESULT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_MODULATION_INDEX_RESULT,
    "Digital Demodulation Modulation Index Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:DDEM:MIND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_MODULATION_ERROR_RESULT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_MODULATION_ERROR_RESULT,
    "Digital Demodulation Modulation Error Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:DDEM:MOER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_SIGNAL_POWER_RESULT =
  {
    RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_SIGNAL_POWER_RESULT,
    "Digital Demodulation Carrier Signal Power Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:DDEM:MPOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_SCAN_RANGE_START =
  {
    RSFPH_ATTR_RECEIVER_SCAN_RANGE_START,
    "Receiver Scan Range Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SCAN:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_SCAN_RANGE_STOP =
  {
    RSFPH_ATTR_RECEIVER_SCAN_RANGE_STOP,
    "Receiver Scan Range Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SCAN:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_SCAN_RANGE_STEP_SIZE =
  {
    RSFPH_ATTR_RECEIVER_SCAN_RANGE_STEP_SIZE,
    "Receiver Scan Range Step Size",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SCAN:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_FREQUENCY_SCALE =
  {
    RSFPH_ATTR_RECEIVER_FREQUENCY_SCALE,
    "Receiver Frequency Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngFreqScale, NULL, NULL,
    "SWE:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_FREQ_SCALE_LINEAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_RESET_MAXHOLD_INFORMATION =
  {
    RSFPH_ATTR_RECEIVER_RESET_MAXHOLD_INFORMATION,
    "Receiver Reset Maxhold Information",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:BARG:PHOL:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_TRACE_STYLE =
  {
    RSFPH_ATTR_RECEIVER_TRACE_STYLE,
    "Receiver Trace Style",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngReceiverTraceStyle, NULL, NULL,
    "DISP:TRAC:STYL",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_STYLE_POLYGON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_CISPR_BANDWIDTH_AUTO =
  {
    RSFPH_ATTR_RECEIVER_CISPR_BANDWIDTH_AUTO,
    "Receiver CISPR Bandwidth Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BAND:CISP:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_CISPR_BANDWIDTH =
  {
    RSFPH_ATTR_RECEIVER_CISPR_BANDWIDTH,
    "Receiver CISPR Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BAND:CISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    120.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_SYNCHRONIZE_BARGRAPH_FREQUENCY_TO_MARKER =
  {
    RSFPH_ATTR_RECEIVER_SYNCHRONIZE_BARGRAPH_FREQUENCY_TO_MARKER,
    "Receiver Synchronize Bargraph Frequency To Marker",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:FIX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_RECEIVER_SYNCHRONIZE_BARGRAPH_FREQUENCY_TO_SPECIFIED_MARKER =
  {
    RSFPH_ATTR_RECEIVER_SYNCHRONIZE_BARGRAPH_FREQUENCY_TO_SPECIFIED_MARKER,
    "Receiver Synchronize Bargraph Frequency To Specified Marker",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MARK{Marker}:FUNC:FIX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_MEAS_MODE =
  {
    RSFPH_ATTR_VNA_MEAS_MODE,
    "VNA Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngVNAMeasurementMode, NULL, NULL,
    "MEAS:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_VNA_MEAS_MODE_REFLECTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_MEAS_FORMAT =
  {
    RSFPH_ATTR_VNA_MEAS_FORMAT,
    "VNA Measurement Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngVNAMeasurementFormat, NULL, NULL,
    "MEAS:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_VNA_MEAS_FORMAT_MAGNITUDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_ENABLED =
  {
    RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_ENABLED,
    "VNA Interference Suppresion Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS:ISUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_AUTO_SIZE_ENABLED =
  {
    RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_AUTO_SIZE_ENABLED,
    "VNA Interference Suppresion Auto Size Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS:ISUP:APER:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_SIZE =
  {
    RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_SIZE,
    "VNA Interference Suppresion Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS:ISUP:APER",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DTF_SETTINGS_COUPLING_ENABLED =
  {
    RSFPH_ATTR_DTF_SETTINGS_COUPLING_ENABLED,
    "DTF Settings Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FREQ:SETT:COUP:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DTF_CABLE_MODEL_PRESET =
  {
    RSFPH_ATTR_DTF_CABLE_MODEL_PRESET,
    "DTF Cable Model Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:DTF:CABL:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "5088-HLFR.CBLMOD",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DTF_START_DISTANCE =
  {
    RSFPH_ATTR_DTF_START_DISTANCE,
    "DTF Start Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DTF:DIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DTF_STOP_DISTANCE =
  {
    RSFPH_ATTR_DTF_STOP_DISTANCE,
    "DTF Stop Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DTF:DIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DTF_LIST_THRESHOLD =
  {
    RSFPH_ATTR_DTF_LIST_THRESHOLD,
    "DTF List Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:TRAN:DTF:PEAK:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DTF_PEAK_COUNT =
  {
    RSFPH_ATTR_DTF_PEAK_COUNT,
    "DTF Peak Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:TRAN:DTF:PEAK:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_DTF_DISPLAY_ENABLED =
  {
    RSFPH_ATTR_DTF_DISPLAY_ENABLED,
    "DTF Display Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:TRAN:DTF:PEAK:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_CABLE_LOSS_REFERENCE_LEVEL =
  {
    RSFPH_ATTR_VNA_CABLE_LOSS_REFERENCE_LEVEL,
    "VNA Cable Loss Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:LOSS:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_CABLE_LOSS_REFERENCE_POSITION =
  {
    RSFPH_ATTR_VNA_CABLE_LOSS_REFERENCE_POSITION,
    "VNA Cable Loss Reference Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:LOSS:REF:POS",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_CABLE_LOSS_Y_AXIS_RANGE =
  {
    RSFPH_ATTR_VNA_CABLE_LOSS_Y_AXIS_RANGE,
    "VNA Cable Loss Y Axis Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngVNACableLossYAxisRange, NULL,
    "DISP:LOSS:Y:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_RETURN_LOSS_REFERENCE_LEVEL =
  {
    RSFPH_ATTR_VNA_RETURN_LOSS_REFERENCE_LEVEL,
    "VNA Return Loss Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:MAGN:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_RETURN_LOSS_REFERENCE_POSITION =
  {
    RSFPH_ATTR_VNA_RETURN_LOSS_REFERENCE_POSITION,
    "VNA Return Loss Reference Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:MAGN:REF:POS",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_RETURN_LOSS_Y_AXIS_SCALE =
  {
    RSFPH_ATTR_VNA_RETURN_LOSS_Y_AXIS_SCALE,
    "VNA Return Loss Y Axis Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngMagnitudeScale, NULL, NULL,
    "DISP:MAGN:Y:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_MAGNITUDE_SCALE_LOGARITHMIC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_RETURN_LOSS_LOG_RANGE =
  {
    RSFPH_ATTR_VNA_RETURN_LOSS_LOG_RANGE,
    "VNA Return Loss Log Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngVNAReturnLossLogRange, NULL,
    "DISP:MAGN:Y:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_PHASE_REFERENCE_LEVEL =
  {
    RSFPH_ATTR_VNA_PHASE_REFERENCE_LEVEL,
    "VNA Phase Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngPhaseReferenceLevel, NULL,
    "DISP:PHAS:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_PHASE_REFERENCE_POSITION =
  {
    RSFPH_ATTR_VNA_PHASE_REFERENCE_POSITION,
    "VNA Phase Reference Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsfph_rngPhaseReferencePosition, NULL,
    "DISP:PHAS:REF:POS",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_PHASE_UNWRAPPING_ENABLED =
  {
    RSFPH_ATTR_VNA_PHASE_UNWRAPPING_ENABLED,
    "VNA Phase Unwrapping Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:PHAS:UNWR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_PHASE_Y_AXIS_RANGE =
  {
    RSFPH_ATTR_VNA_PHASE_Y_AXIS_RANGE,
    "VNA Phase Y Axis Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngPhaseYAxisRange, NULL,
    "DISP:PHAS:Y:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    360,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_SWR_Y_AXIS_RANGE =
  {
    RSFPH_ATTR_VNA_SWR_Y_AXIS_RANGE,
    "VNA SWR Y Axis Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngSWRYAxisRange, NULL,
    "DISP:VSWR:Y:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    21,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_SWR_Y_AXIS_MINIMUM =
  {
    RSFPH_ATTR_VNA_SWR_Y_AXIS_MINIMUM,
    "VNA SWR Y Axis Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngSWRYAxisMin, NULL,
    "DISP:VSWR:Y:SCAL:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_VNA_SWR_Y_AXIS_MAXIMUM =
  {
    RSFPH_ATTR_VNA_SWR_Y_AXIS_MAXIMUM,
    "VNA SWR Y Axis Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngSWRYAxisMax, NULL,
    "DISP:VSWR:Y:SCAL:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    21,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SMITH_CHART_REFERENCE_IMPEDANCE_MARKER =
  {
    RSFPH_ATTR_SMITH_CHART_REFERENCE_IMPEDANCE_MARKER,
    "Smith Chart Reference Impedance Marker",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsfph_rngSmithReferenceImpedanceMarker, NULL,
    "DISP:IMP:REF:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_START_FULL_S11_CALIBRATION =
  {
    RSFPH_ATTR_START_FULL_S11_CALIBRATION,
    "Start Full S11 Calibration",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngCalibrationInstructions, NULL, NULL,
    "CAL:STAR? S11C",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_CALIBRATION_CONNECT_OPEN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_START_EASY_S11_CALIBRATION =
  {
    RSFPH_ATTR_START_EASY_S11_CALIBRATION,
    "Start Easy S11 Calibration",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngCalibrationInstructions, NULL, NULL,
    "CAL:STAR? S11",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_CALIBRATION_DISCONNECT_DUT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_START_S21_CALIBRATION =
  {
    RSFPH_ATTR_START_S21_CALIBRATION,
    "Start S21 Calibration",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngCalibrationInstructions, NULL, NULL,
    "CAL:STAR? S21N",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_CALIBRATION_CONNECT_THROUGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_CONTINUE_CALIBRATION =
  {
    RSFPH_ATTR_CONTINUE_CALIBRATION,
    "Continue Calibration",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngCalibrationInstructions, NULL, NULL,
    "CAL:CONT?",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_CALIBRATION_DONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ABORT_CALIBRATION =
  {
    RSFPH_ATTR_ABORT_CALIBRATION,
    "Abort Calibration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_QUERY_CALIBRATION_MODE =
  {
    RSFPH_ATTR_QUERY_CALIBRATION_MODE,
    "Query Calibration Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngCalibrationMode, NULL, NULL,
    "CAL:MODE?",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_CALIBRATION_MODE_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_QUERY_CALIBRATION_STATUS =
  {
    RSFPH_ATTR_QUERY_CALIBRATION_STATUS,
    "Query Calibration Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsfph_rngCalibrationStatus, NULL, NULL,
    "CAL:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_CALIBRATION_STATUS_NORM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYSTEM_PRESET_CALIBRATION_DISCARD_ENABLED =
  {
    RSFPH_ATTR_SYSTEM_PRESET_CALIBRATION_DISCARD_ENABLED,
    "System Preset Calibration Discard Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:PRES:CAL:DISC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPC",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_BINARY_DATA_ORDER =
  {
    RSFPH_ATTR_BINARY_DATA_ORDER,
    "Binary Data Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsfph_rngBinaryDataOrder, NULL, NULL,
    "FORM:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSFPH_VAL_BINARY_ORDER_SWAPPED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPH",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_STATUS_PRESET =
  {
    RSFPH_ATTR_STATUS_PRESET,
    "Status Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_ID_QUERY_RESPONSE =
  {
    RSFPH_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SELF_TEST_QUERY =
  {
    RSFPH_ATTR_SELF_TEST_QUERY,
    "Self-Test Query",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*TST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_SYST_ERR =
  {
    RSFPH_ATTR_SYST_ERR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_LOGGING =
  {
    RSFPH_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "no_command",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsfph_logging_ReadCallback,
    rsfph_logging_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSFPH_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
  {
    RSFPH_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    "Process All Previous Commands",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rsfph_RsCoreAttributeListLength = 386;

RsCoreAttributePtr rsfph_RsCoreAttributeList[386] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSFPH_ATTR_FREQUENCY_DOMAIN,
    &g_RSFPH_ATTR_FREQUENCY_INPUT_MODE,
    &g_RSFPH_ATTR_FREQUENCY_OFFSET,
    &g_RSFPH_ATTR_FREQUENCY_START,
    &g_RSFPH_ATTR_FREQUENCY_STOP,
    &g_RSFPH_ATTR_FREQUENCY_CENTER,
    &g_RSFPH_ATTR_FREQUENCY_CENTER_STEP,
    &g_RSFPH_ATTR_FREQUENCY_CENTER_LINK,
    &g_RSFPH_ATTR_FREQUENCY_SPAN,
    &g_RSFPH_ATTR_FREQUENCY_SPAN_AUTO,
    &g_RSFPH_ATTR_FREQUENCY_SPAN_FULL,
    &g_RSFPH_ATTR_CHANNEL_NUMBER,
    &g_RSFPH_ATTR_CHANNEL_TABLE_DOWNLINK,
    &g_RSFPH_ATTR_CHANNEL_TABLE_UPLINK,
    &g_RSFPH_ATTR_CHANNEL_TABLE_SELECT,
    &g_RSFPH_ATTR_CHANNEL_LINK_DIRECTION,
    &g_RSFPH_ATTR_AMPLITUDE_UNITS,
    &g_RSFPH_ATTR_ATTENUATION,
    &g_RSFPH_ATTR_ATTENUATION_AUTO,
    &g_RSFPH_ATTR_ATTENUATION_MODE,
    &g_RSFPH_ATTR_REFERENCE_LEVEL,
    &g_RSFPH_ATTR_REFERENCE_LEVEL_OFFSET,
    &g_RSFPH_ATTR_AMPL_PREAMPLIFIER,
    &g_RSFPH_ATTR_INPUT_IMPEDANCE,
    &g_RSFPH_ATTR_NUMBER_OF_SWEEPS,
    &g_RSFPH_ATTR_VERTICAL_SCALE,
    &g_RSFPH_ATTR_SWEEP_MODE,
    &g_RSFPH_ATTR_TRACKING_GENERATOR_ATTENUATION,
    &g_RSFPH_ATTR_TRACKING_GENERATOR_ZERO_SPAN_ENABLED,
    &g_RSFPH_ATTR_TRACKING_GENERATOR_AUTO_FREQUENCY_ENABLED,
    &g_RSFPH_ATTR_TRACKING_GENERATOR_FREQUENCY,
    &g_RSFPH_ATTR_TRACKING_GENERATOR_FREQUENCY_OFFSET,
    &g_RSFPH_ATTR_TRACKING_GENERATOR_POWER,
    &g_RSFPH_ATTR_TRACKING_GENERATOR_ENABLED,
    &g_RSFPH_ATTR_RESOLUTION_BANDWIDTH,
    &g_RSFPH_ATTR_RESOLUTION_BANDWIDTH_AUTO,
    &g_RSFPH_ATTR_SWEEP_TIME,
    &g_RSFPH_ATTR_SWEEP_TIME_AUTO,
    &g_RSFPH_ATTR_SWEEP_POINTS,
    &g_RSFPH_ATTR_VIDEO_BANDWIDTH,
    &g_RSFPH_ATTR_VIDEO_BANDWIDTH_AUTO,
    &g_RSFPH_ATTR_TRIGGER_SOURCE,
    &g_RSFPH_ATTR_TRIGGER_DELAY,
    &g_RSFPH_ATTR_TRIGGER_CLOCK,
    &g_RSFPH_ATTR_TRIGGER_SLOPE,
    &g_RSFPH_ATTR_VIDEO_TRIGGER_LEVEL,
    &g_RSFPH_ATTR_IQ_TRIGGER_LEVEL,
    &g_RSFPH_ATTR_EXTERNAL_GATE,
    &g_RSFPH_ATTR_EXTERNAL_GATE_HOLD,
    &g_RSFPH_ATTR_EXTERNAL_GATE_LENGTH,
    &g_RSFPH_ATTR_EXTERNAL_GATE_TIME,
    &g_RSFPH_ATTR_DETECTOR_TYPE,
    &g_RSFPH_ATTR_DETECTOR_TYPE_AUTO,
    &g_RSFPH_ATTR_TRACE_STATE,
    &g_RSFPH_ATTR_TRACE_MEMORY_STATE,
    &g_RSFPH_ATTR_TRACE_TYPE,
    &g_RSFPH_ATTR_SUBTRACT_TRACES,
    &g_RSFPH_ATTR_TRACE_MATH_STATE,
    &g_RSFPH_ATTR_TRACE_MATH_STORE,
    &g_RSFPH_ATTR_REFERENCE_MARKER_PEAK,
    &g_RSFPH_ATTR_REFERENCE_MARKER_PEAK_NEXT,
    &g_RSFPH_ATTR_REFERENCE_MARKER_MINIMUM,
    &g_RSFPH_ATTR_REFERENCE_MARKER_STATE,
    &g_RSFPH_ATTR_REFERENCE_MARKER_AOFF,
    &g_RSFPH_ATTR_REFERENCE_MARKER_POSITION,
    &g_RSFPH_ATTR_REFERENCE_MARKER_REL_POSITION,
    &g_RSFPH_ATTR_REFERENCE_MARKER_AMPLITUDE,
    &g_RSFPH_ATTR_MARKER_ENABLED,
    &g_RSFPH_ATTR_MARKER_AMPLITUDE,
    &g_RSFPH_ATTR_MARKER_POSITION,
    &g_RSFPH_ATTR_MARKER_AOFF,
    &g_RSFPH_ATTR_MARKER_MODE,
    &g_RSFPH_ATTR_MARKER_SEARCH_PEAK,
    &g_RSFPH_ATTR_MARKER_SEARCH_PEAK_NEXT,
    &g_RSFPH_ATTR_MARKER_SEARCH_PEAK_MIN,
    &g_RSFPH_ATTR_MARKER_SEARCH_LIMITS_STATE,
    &g_RSFPH_ATTR_MARKER_SEARCH_LIMITS_LEFT,
    &g_RSFPH_ATTR_MARKER_SEARCH_LIMITS_RIGHT,
    &g_RSFPH_ATTR_MARKER_FREQUENCY_COUNTER_STATE,
    &g_RSFPH_ATTR_MARKER_FREQUENCY_COUNTER_RESULT,
    &g_RSFPH_ATTR_MARKER_NOISE_STATE,
    &g_RSFPH_ATTR_MARKER_NOISE_RESULT,
    &g_RSFPH_ATTR_MARKER_DEMOD_STATE,
    &g_RSFPH_ATTR_MARKER_DEMOD_HOLDOFF,
    &g_RSFPH_ATTR_MARKER_DEMOD_TYPE,
    &g_RSFPH_ATTR_MARKER_NDB_STATE,
    &g_RSFPH_ATTR_MARKER_NDB_VAL,
    &g_RSFPH_ATTR_MARKER_NDB_RESULT,
    &g_RSFPH_ATTR_MEAS_POW_SELECT,
    &g_RSFPH_ATTR_MEAS_POW_OFF,
    &g_RSFPH_ATTR_MEAS_POW_STANDARD,
    &g_RSFPH_ATTR_MEAS_POW_STANDARD_CHECK,
    &g_RSFPH_ATTR_MEAS_POW_ADJUST_REFERENCE_LEVEL,
    &g_RSFPH_ATTR_ACLR_LIMIT_CHECK_STATE,
    &g_RSFPH_ATTR_ACLR_RELATIVE_LIMIT_CHECK_STATE,
    &g_RSFPH_ATTR_ACLR_RELATIVE_LIMIT_CHECK,
    &g_RSFPH_ATTR_ACLR_ABSOLUTE_LIMIT_CHECK_STATE,
    &g_RSFPH_ATTR_ACLR_ABSOLUTE_LIMIT_CHECK,
    &g_RSFPH_ATTR_ACLR_RESULT_UNIT,
    &g_RSFPH_ATTR_ACLR_NUMBER_OF_ADJACENT_CHANNELS,
    &g_RSFPH_ATTR_ACLR_CHANNEL_MODE,
    &g_RSFPH_ATTR_ACLR_CHANNEL_BANDWIDTH,
    &g_RSFPH_ATTR_ACLR_ADJACENT_CHANNEL_BANDWIDTH,
    &g_RSFPH_ATTR_ACLR_ADJACENT_CHANNEL_SPACING,
    &g_RSFPH_ATTR_ACLR_ADJUST_REFERENCE_LEVEL,
    &g_RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_COUNT,
    &g_RSFPH_ATTR_ACLR_REFERENCE_CHANNEL_AUTOMATIC_SELECTION,
    &g_RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_AS_REFERENCE_CHANNEL,
    &g_RSFPH_ATTR_ACLR_TOTAL_TX_CHANNEL_POWER,
    &g_RSFPH_ATTR_ACLR_TRANSMISSION_CHANNEL_SPACING,
    &g_RSFPH_ATTR_ACLR_ALTERNATE_CHANNEL_BANDWIDTH,
    &g_RSFPH_ATTR_ACLR_ALTERNATE_CHANNEL_SPACING,
    &g_RSFPH_ATTR_ACLR_ALTERNATE_RELATIVE_LIMIT_CHECK_STATE,
    &g_RSFPH_ATTR_ACLR_ALTERNATE_RELATIVE_LIMIT_CHECK,
    &g_RSFPH_ATTR_ACLR_ALTERNATE_ABSOLUTE_LIMIT_CHECK_STATE,
    &g_RSFPH_ATTR_ACLR_ALTERNATE_ABSOLUTE_LIMIT_CHECK,
    &g_RSFPH_ATTR_CHANNEL_POWER_BANDWIDTH,
    &g_RSFPH_ATTR_CHANNEL_POWER_DISPLAY_MODE,
    &g_RSFPH_ATTR_CHANNEL_POWER_UNIT,
    &g_RSFPH_ATTR_CHANNEL_POWER_PER_HERTZ,
    &g_RSFPH_ATTR_HARMONIC_DISTORTION_STATE,
    &g_RSFPH_ATTR_HARMONIC_DISTORTION_NO_OF_HARMONICS,
    &g_RSFPH_ATTR_HARMONIC_DISTORTION_ADJUST_SETTINGS,
    &g_RSFPH_ATTR_MODULATION_DEPTH_STATE,
    &g_RSFPH_ATTR_MODULATION_DEPTH_RESULT,
    &g_RSFPH_ATTR_SPECTRUM_EMISSION_MASK_PRESET,
    &g_RSFPH_ATTR_SPECTRUM_EMISSION_MASK_STANDARD,
    &g_RSFPH_ATTR_SPECTRUM_EMISSION_MASK_SWEEP_MODE,
    &g_RSFPH_ATTR_OCCUPIED_BANDWIDTH_CHANNEL_BANDWIDTH,
    &g_RSFPH_ATTR_OCCUPIED_BANDWIDTH_POWER_PERCENTAGE,
    &g_RSFPH_ATTR_TDMA_BURST_LENGTH,
    &g_RSFPH_ATTR_ISOTROPIC_ANTENNA_STATE,
    &g_RSFPH_ATTR_ISOTROPIC_ANTENNA_DIRECTION,
    &g_RSFPH_ATTR_TOI_MEASUREMENT_ENABLED,
    &g_RSFPH_ATTR_TOI_SEARCH,
    &g_RSFPH_ATTR_QUERY_TOI_RESULT,
    &g_RSFPH_ATTR_MARKER_FREQ_DISP_MODE,
    &g_RSFPH_ATTR_MARKER_TO_CENTER,
    &g_RSFPH_ATTR_MARKER_TO_REFERENCE,
    &g_RSFPH_ATTR_MARKER_TRACKING_ENABLED,
    &g_RSFPH_ATTR_DLINE_STATE,
    &g_RSFPH_ATTR_DLINE_POSITION,
    &g_RSFPH_ATTR_LIMIT_STATE,
    &g_RSFPH_ATTR_LIMIT_HORIZONTAL_UNIT,
    &g_RSFPH_ATTR_LIMIT_VERTICAL_UNIT,
    &g_RSFPH_ATTR_LIMIT_BEEP,
    &g_RSFPH_ATTR_LIMIT_COMMENT,
    &g_RSFPH_ATTR_LIMIT_DELETE,
    &g_RSFPH_ATTR_LIMIT_CHECK_RESULT,
    &g_RSFPH_ATTR_LIMIT_LOWER_SELECT,
    &g_RSFPH_ATTR_LIMIT_LOWER_THRESHOLD,
    &g_RSFPH_ATTR_LIMIT_UPPER_SELECT,
    &g_RSFPH_ATTR_LIMIT_UPPER_THRESHOLD,
    &g_RSFPH_ATTR_TFAC_SEL_NAME,
    &g_RSFPH_ATTR_TFAC_UNIT,
    &g_RSFPH_ATTR_TFAC_STATE,
    &g_RSFPH_ATTR_TRANSDUCER_FACTOR_ISOTROPIC_ANTENNA,
    &g_RSFPH_ATTR_SYST_POWER_SOURCE,
    &g_RSFPH_ATTR_SYST_BATT_POWER,
    &g_RSFPH_ATTR_SYST_PRESET,
    &g_RSFPH_ATTR_SYSTEM_PRESET_MODE,
    &g_RSFPH_ATTR_SYST_PRESET_USER,
    &g_RSFPH_ATTR_SYST_FACTORY_PRESET,
    &g_RSFPH_ATTR_SYST_REBOOT,
    &g_RSFPH_ATTR_SYST_SHUTDOWN,
    &g_RSFPH_ATTR_SYST_VERSION,
    &g_RSFPH_ATTR_SYST_ACCESSORY_AUTO,
    &g_RSFPH_ATTR_SYST_ACCESSORY,
    &g_RSFPH_ATTR_SYST_SPEAKER,
    &g_RSFPH_ATTR_SYST_BEEPER,
    &g_RSFPH_ATTR_SYST_KEYBOARD_CLICK,
    &g_RSFPH_ATTR_BEEPER_ON_POWER_OVERLOAD,
    &g_RSFPH_ATTR_SYST_BNC_MODE,
    &g_RSFPH_ATTR_SYST_CAPTURE_MODE,
    &g_RSFPH_ATTR_SYST_CAPTURE_COUNTER,
    &g_RSFPH_ATTR_SYST_CAPTURE_DATASET_STATE,
    &g_RSFPH_ATTR_SYST_CAPTURE_SCREEN_STATE,
    &g_RSFPH_ATTR_SYST_CAPTURE_GPX_INFORMATION_STATE,
    &g_RSFPH_ATTR_INSTRUMENT_MODE,
    &g_RSFPH_ATTR_SYST_PAD_TYPE,
    &g_RSFPH_ATTR_SYSTEM_DEVICE_MATERIAL_NUMBER,
    &g_RSFPH_ATTR_SYSTEM_DEVICE_SERIAL_NUMBER,
    &g_RSFPH_ATTR_SYSTEM_FREE_RAM,
    &g_RSFPH_ATTR_SYSTEM_TOTAL_RAM,
    &g_RSFPH_ATTR_SYSTEM_USED_RAM,
    &g_RSFPH_ATTR_SYSTEM_FREE_STORAGE,
    &g_RSFPH_ATTR_SYSTEM_TOTAL_STORAGE,
    &g_RSFPH_ATTR_SYSTEM_USED_STORAGE,
    &g_RSFPH_ATTR_SYST_SOEVENT_STATE,
    &g_RSFPH_ATTR_SYST_SOEVENT_DISTANCE,
    &g_RSFPH_ATTR_SYST_SOEVENT_LIMIT_MODE,
    &g_RSFPH_ATTR_SYST_SOEVENT_STOR_DEV,
    &g_RSFPH_ATTR_SYST_SOEVENT_SOURCE,
    &g_RSFPH_ATTR_SYST_SOEVENT_TIME_INTERVAL,
    &g_RSFPH_ATTR_SYST_NETWORK_MAC,
    &g_RSFPH_ATTR_SYST_NETWORK_GATEWAY,
    &g_RSFPH_ATTR_SYST_NETWORK_SUBMASK,
    &g_RSFPH_ATTR_SYST_NETWORK_IP_ADDRESS,
    &g_RSFPH_ATTR_SYST_NETWORK_DHCP,
    &g_RSFPH_ATTR_SYST_NETWORK_PORT,
    &g_RSFPH_ATTR_GPS_RECEIVER_STATE,
    &g_RSFPH_ATTR_GPS_RECEIVER_CONNECTED,
    &g_RSFPH_ATTR_GPS_RECEIVER_CORRECTION_FREQUENCY,
    &g_RSFPH_ATTR_GPS_RECEIVER_SATELLITES,
    &g_RSFPH_ATTR_GPS_RECEIVER_QUALITY,
    &g_RSFPH_ATTR_GPS_RECEIVER_LATITUDE,
    &g_RSFPH_ATTR_GPS_RECEIVER_LONGITUDE,
    &g_RSFPH_ATTR_GPS_RECEIVER_ALTITUDE,
    &g_RSFPH_ATTR_GPS_RECEIVER_VALID_POSITION,
    &g_RSFPH_ATTR_ROSC_SOURCE,
    &g_RSFPH_ATTR_DISP_ADJUST,
    &g_RSFPH_ATTR_DISP_REF_POSITION,
    &g_RSFPH_ATTR_DISP_LOG_RANGE,
    &g_RSFPH_ATTR_DISPLAY_DEVIATION_PER_DIVISION,
    &g_RSFPH_ATTR_DISP_COL_PRESET,
    &g_RSFPH_ATTR_DISP_BRIGHTNESS,
    &g_RSFPH_ATTR_DISP_COLOR,
    &g_RSFPH_ATTR_DISP_DATE_FORMAT,
    &g_RSFPH_ATTR_DISPLAY_UNIT_LENGTH,
    &g_RSFPH_ATTR_DISPLAY_REMOTE_OPERATION_ENABLED,
    &g_RSFPH_ATTR_HCOPY_PRINT,
    &g_RSFPH_ATTR_HCOPY_PRINT_SCREEN,
    &g_RSFPH_ATTR_HCOPY_FILE_NAME,
    &g_RSFPH_ATTR_HCOPY_DEVICE_LANG_OUT_FORMAT,
    &g_RSFPH_ATTR_FILE_RECALL,
    &g_RSFPH_ATTR_FILE_SAVE,
    &g_RSFPH_ATTR_FILE_MANAGER_EDIT_PATH,
    &g_RSFPH_ATTR_FILE_MANAGER_DELETE,
    &g_RSFPH_ATTR_FILE_MANAGER_MAKE_DIR,
    &g_RSFPH_ATTR_FILE_MANAGER_CREATE_FILE,
    &g_RSFPH_ATTR_FILE_MANAGER_DELETE_DIR,
    &g_RSFPH_ATTR_FILE_MANAGER_CURRENT_DIR_FILE_CATALOG,
    &g_RSFPH_ATTR_FILE_MANAGER_CURRENT_DIR_CATALOG,
    &g_RSFPH_ATTR_FILE_MANAGER_LOCK,
    &g_RSFPH_ATTR_FILE_MANAGER_UNLOCK,
    &g_RSFPH_ATTR_MEAS_ABORT,
    &g_RSFPH_ATTR_INIT,
    &g_RSFPH_ATTR_INIT_WITHOUT_OPC,
    &g_RSFPH_ATTR_INIT_SW_TRIGGER,
    &g_RSFPH_ATTR_PWM_ZERO,
    &g_RSFPH_ATTR_PWM_REFERENCE_VALUE,
    &g_RSFPH_ATTR_PWM_REFERENCE_VALUE_OFFSET,
    &g_RSFPH_ATTR_PWM_MEASURE_TO_REFERENCE,
    &g_RSFPH_ATTR_PWM_UNIT,
    &g_RSFPH_ATTR_PWM_FREQUENCY,
    &g_RSFPH_ATTR_PWM_CHANNEL_BW,
    &g_RSFPH_ATTR_PWM_VIDEO_BANDWIDTH,
    &g_RSFPH_ATTR_PWM_MEASUREMENT_TIME,
    &g_RSFPH_ATTR_PWM_STANDARD_STATE,
    &g_RSFPH_ATTR_PWM_STANDARD_SELECT,
    &g_RSFPH_ATTR_PWM_FORWARD_POWER_DISPLAY,
    &g_RSFPH_ATTR_PWM_WAVELENGTH,
    &g_RSFPH_ATTR_PMET_FETCH,
    &g_RSFPH_ATTR_PMET_FETCH_REFLECTED,
    &g_RSFPH_ATTR_ANALOG_MODULATION_BANDWIDTH,
    &g_RSFPH_ATTR_ANALOG_MODULATION_MEASUREMENT_TIME,
    &g_RSFPH_ATTR_ANALOG_MODULATION_DEEMPHASIS_ENABLED,
    &g_RSFPH_ATTR_ANALOG_MODULATION_DEEMPHASIS_TIME_CONSTANT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_AUDIO_LOWPASS_FILTER,
    &g_RSFPH_ATTR_ANALOG_MODULATION_REFERENCE_DEVIATION,
    &g_RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_SELECT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_DELETE,
    &g_RSFPH_ATTR_ANALOG_MODULATION_LIMIT_LINE_CHECK_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_RESULT_DISPLAY,
    &g_RSFPH_ATTR_ANALOG_MODULATION_FM_OFFSET,
    &g_RSFPH_ATTR_ANALOG_MODULATION_CARRIER_POWER_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_SINAD_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_THD_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_AUDIO_FREQUENCY_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_FREQUENCY_ERROR_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_AM_MODULATION_INDEX_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_AM_MAX_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_AM_MIN_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_AM_AVERAGE_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_AM_RMS_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_AM_MODULATION_DEPTH_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_FM_MAX_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_FM_MIN_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_FM_AVERAGE_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_FM_RMS_RESULT,
    &g_RSFPH_ATTR_ANALOG_MODULATION_FM_MODULATION_RATE_RESULT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_SELECT_MEASUREMENT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_SYMBOL_RATE,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_NUMBER_OF_SYMBOLS,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_MEASUREMENT_FILTER,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_FILTER_TYPE,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_FILTER_ROLL_OFF_FACTOR,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_BURST_STATE_ENABLED,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_FSK_FREQUENCY_DEVIATION,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_STANDARD,
    &g_RSFPH_ATTR_DIGITAL_DEMODULAITON_FSK_OFFSET,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_RESULT_DISPLAY,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_POWER_RESULT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_FREQUENCY_DRIFT_RESULT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_FREQUENCY_ERROR_RESULT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_MODULAITON_DEPTH_RESULT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_FREQUENCY_DEVIATION_RESULT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_MAGNITUDE_ERROR_RESULT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_MODULATION_INDEX_RESULT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_MODULATION_ERROR_RESULT,
    &g_RSFPH_ATTR_DIGITAL_DEMODULATION_CARRIER_SIGNAL_POWER_RESULT,
    &g_RSFPH_ATTR_RECEIVER_SCAN_RANGE_START,
    &g_RSFPH_ATTR_RECEIVER_SCAN_RANGE_STOP,
    &g_RSFPH_ATTR_RECEIVER_SCAN_RANGE_STEP_SIZE,
    &g_RSFPH_ATTR_RECEIVER_FREQUENCY_SCALE,
    &g_RSFPH_ATTR_RECEIVER_RESET_MAXHOLD_INFORMATION,
    &g_RSFPH_ATTR_RECEIVER_TRACE_STYLE,
    &g_RSFPH_ATTR_RECEIVER_CISPR_BANDWIDTH_AUTO,
    &g_RSFPH_ATTR_RECEIVER_CISPR_BANDWIDTH,
    &g_RSFPH_ATTR_RECEIVER_SYNCHRONIZE_BARGRAPH_FREQUENCY_TO_MARKER,
    &g_RSFPH_ATTR_RECEIVER_SYNCHRONIZE_BARGRAPH_FREQUENCY_TO_SPECIFIED_MARKER,
    &g_RSFPH_ATTR_VNA_MEAS_MODE,
    &g_RSFPH_ATTR_VNA_MEAS_FORMAT,
    &g_RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_ENABLED,
    &g_RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_AUTO_SIZE_ENABLED,
    &g_RSFPH_ATTR_VNA_INTERFERENCE_SUPPRESION_SIZE,
    &g_RSFPH_ATTR_DTF_SETTINGS_COUPLING_ENABLED,
    &g_RSFPH_ATTR_DTF_CABLE_MODEL_PRESET,
    &g_RSFPH_ATTR_DTF_START_DISTANCE,
    &g_RSFPH_ATTR_DTF_STOP_DISTANCE,
    &g_RSFPH_ATTR_DTF_LIST_THRESHOLD,
    &g_RSFPH_ATTR_DTF_PEAK_COUNT,
    &g_RSFPH_ATTR_DTF_DISPLAY_ENABLED,
    &g_RSFPH_ATTR_VNA_CABLE_LOSS_REFERENCE_LEVEL,
    &g_RSFPH_ATTR_VNA_CABLE_LOSS_REFERENCE_POSITION,
    &g_RSFPH_ATTR_VNA_CABLE_LOSS_Y_AXIS_RANGE,
    &g_RSFPH_ATTR_VNA_RETURN_LOSS_REFERENCE_LEVEL,
    &g_RSFPH_ATTR_VNA_RETURN_LOSS_REFERENCE_POSITION,
    &g_RSFPH_ATTR_VNA_RETURN_LOSS_Y_AXIS_SCALE,
    &g_RSFPH_ATTR_VNA_RETURN_LOSS_LOG_RANGE,
    &g_RSFPH_ATTR_VNA_PHASE_REFERENCE_LEVEL,
    &g_RSFPH_ATTR_VNA_PHASE_REFERENCE_POSITION,
    &g_RSFPH_ATTR_VNA_PHASE_UNWRAPPING_ENABLED,
    &g_RSFPH_ATTR_VNA_PHASE_Y_AXIS_RANGE,
    &g_RSFPH_ATTR_VNA_SWR_Y_AXIS_RANGE,
    &g_RSFPH_ATTR_VNA_SWR_Y_AXIS_MINIMUM,
    &g_RSFPH_ATTR_VNA_SWR_Y_AXIS_MAXIMUM,
    &g_RSFPH_ATTR_SMITH_CHART_REFERENCE_IMPEDANCE_MARKER,
    &g_RSFPH_ATTR_START_FULL_S11_CALIBRATION,
    &g_RSFPH_ATTR_START_EASY_S11_CALIBRATION,
    &g_RSFPH_ATTR_START_S21_CALIBRATION,
    &g_RSFPH_ATTR_CONTINUE_CALIBRATION,
    &g_RSFPH_ATTR_ABORT_CALIBRATION,
    &g_RSFPH_ATTR_QUERY_CALIBRATION_MODE,
    &g_RSFPH_ATTR_QUERY_CALIBRATION_STATUS,
    &g_RSFPH_ATTR_SYSTEM_PRESET_CALIBRATION_DISCARD_ENABLED,
    &g_RSFPH_ATTR_BINARY_DATA_ORDER,
    &g_RSFPH_ATTR_STATUS_PRESET,
    &g_RSFPH_ATTR_ID_QUERY_RESPONSE,
    &g_RSFPH_ATTR_SELF_TEST_QUERY,
    &g_RSFPH_ATTR_SYST_ERR,
    &g_RSFPH_ATTR_LOGGING,
    &g_RSFPH_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS
  };
